<?php
include ("includes/header.php");

/*** Language File ***/
$lang_file = "lang/$use_lang/customers.lang.php";
if (file_exists($lang_file)) {
  include($lang_file);
} else {
  $output = error(array("Language file $lang_file not found")) . "</div></body></html>";
  exit($output);  
}

/*** Actions Set ***/
include ("includes/customers_actions.php");


/**********
 * TODO: list customers [+]
 **********/
if (!$todo) {
  unset($add2sql);
  echo tabhead(lang("hl_nav"));
  if ($pm_auth_userlevel > 1) {
    echo "<div class='listitem'><a href='?todo=edit'>" . lang("link_addcust") . "</a></div>";
    
    echo "<div class='infoitem' style='background-image: url(images/icons/edit.gif);'>" . lang("info_edit") . "</div>";
    echo "<div class='infoitem' style='background-image: url(images/icons/attach.gif);'>" . lang("info_docs") . "</div>";
    echo "<div class='infoitem' style='background-image: url(images/icons/stop.gif);'>" . lang("info_deact") . "</div>";
    echo "<div class='infoitem' style='background-image: url(images/icons/play.gif);'>" . lang("info_act") . "</div>";
    echo "<div class='infoitem' style='background-image: url(images/icons/delete.gif);'>" . lang("info_del") . "</div>";
    echo "<div class='infoitem'>" . lang("info_general") . "</div>";
  } else {
    echo "<div style='border-bottom: 1px #d5d5d5 solid;padding-bottom:5px;margin-bottom:5px;'>" . lang("info_general") . "</div>";
  }
  echo tabfoot();


  echo tabhead(lang("hl_customers"),2);
  
  if ($error) echo error($error);
  if ($success) echo success($success);
  if ($alert) echo alert($alert);
  
  /*******************
   * filter customers if userlevel = 0 (Custom)
   * assigned project-custids needed    
   *******************/
  if ($pm_auth_userlevel < 2) {
    //not all customers?
    //first the project assigned customers, if not able to view them all - but assigned projects (adding or viewing)
    if (!$pm_acl["c_view_all"] && !$pm_acl["p_view_all"] && $pm_acl["p_view_ass"]) {
      $sql = "select custid from `" . $tb_prefix . "projects` where id in (select pid from `" . $tb_prefix . "project_users` where uid = '$pm_auth_uid') and status > 0;";
      $res = dbquery($sql,$db);
      while ($row = mysql_fetch_object($res)) {
        $custids[] = $row->custid;
      }
    }
    //second check: the assigned customers, if able to view assigned customers
    if ($pm_acl["c_view_ass"] && !$pm_acl["p_view_all"]) {
      $sql = "select custid from `" . $tb_prefix . "customer_users` where uid = '$pm_auth_uid';";
      $res = dbquery($sql);
      while ($row = mysql_fetch_object($res)) {
        $custids[] = $row->custid;
      }
    }
    //custidcheck
    if ($custids) $add2sql[] = "id in (" . implode(",",$custids) . ")";
    //third check, if no conditions set - there is should be no permission
    if (!$add2sql && !$pm_acl["p_view_all"] && !$pm_acl["c_view_all"]) $add2sql[] = "id = '0'";
  
    $add2sql[] = "status = '1'";
  }
  
  //get projects from customers
  $sql = "select count(id) as counted, custid from `" . $tb_prefix . "projects` group by custid;";
  $res = dbquery($sql);
  while ($row = mysql_fetch_object($res)) {
    $custprojects[$row->custid] = $row->counted;
  }
  
  
  
  $sql = "select * from `" . $tb_prefix . "customers` " . ($add2sql ? "where " . implode(" and ",$add2sql) . "" : "") . " order by concat(custno,descr,contact_person);";
  $res = dbquery($sql,$db);
  $num = mysql_num_rows($res);
  if ($num) {
    echo "<table align='center' class='tabl' cellpadding='5' cellspacing='0'>
      <tr class='tablh'><td>" . lang("descr_cust") . "</td><td style='width:70px;'>" . lang("descr_spenttime") . "</td>" . ($pm_auth_userlevel > 1 ? "<td style='width:116px;'>" . lang("descr_tools") . "</td>" : "") . "</tr>";
    $i=0;
    while ($row = mysql_fetch_object($res)) {
      //projecttimes
      $sqlt = "SELECT sum(unix_timestamp(end) - unix_timestamp(start)) as diff FROM `" . $tb_prefix . "project_times` where pid in (select id from `" . $tb_prefix . "projects` where custid = '" . $row->id . "') and end is not NULL;";
      $rest = dbquery($sqlt,$db);
      echo mysql_error();
      $rowt = mysql_fetch_object($rest);
    
      echo "<tr class='tablc" . (++$i%2 ? 1 : 2) . "'>
        <td " . (!$row->status ? "class='error1'" : "") . "><a href='?todo=details&amp;id=" . $row->id . "'>" . he(trim($row->custno . " " . ($row->descr ? $row->descr : $row->contact_person))) . "</a>" . " <span title='" . intval($custprojects[$row->id]) . " " . lang("projects") . "'>(" . intval($custprojects[$row->id]) . ")</span></td>
        <td style='text-align:right;padding-right:5px;'>" . round($rowt->diff/60/60,2) . " h</td>";
      
      //just the admin is able to edit deakt and akt the customers  
      if ($pm_auth_userlevel > 1) {
        echo "<td><a href='?todo=graph&amp;id=" . $row->id . "'><img src='images/icons/chart_bar.gif' alt='" . lang("bar_graph") . "' title='" . lang("bar_graph") . "' border='0' style='margin:2px;'></a>
          <a href='?todo=edit&amp;id=" . $row->id . "'><img src='images/icons/edit.gif' alt='" . lang("edit") . "' title='" . lang("edit") . "' border='0' style='margin:2px;'></a>
          <a href='?todo=docs&amp;id=" . $row->id . "'><img src='images/icons/attach.gif' alt='documents' title='documents' border='0' style='margin:2px;'></a>
          <a href='?action=chgstat&amp;current=" . $row->status ."&amp;id=" . $row->id . "'><img src='images/icons/" . ($row->status ? "stop" : "play") . ".gif' alt='akt/deakt' title='akt/deakt' border='0' style='margin:2px;'></a> 
          <a href='confirm.php?action=delete&amp;id=" . $row->id . "'><img src='images/icons/delete.gif' alt='" . lang("delete") . "' title='" . lang("delete") . "' border='0' style='margin:2px;'></a></td>";
      } 
      echo "</tr>";
    }
    echo "</table>";
  } else {
    echo alert(lang("noentries"));
  } 
  echo tabfoot(2);
}
/**********
 * TODO: list customers [-]
 **********/
 
/**********
 * TODO: customer's details [+]
 **********/
if ($todo == "details") {

  $user_custids = array();
  //to projects assinged users
  $sql = "select * from `" . $tb_prefix . "customer_users` where uid = '$pm_auth_uid';";
  $res = dbquery($sql,$db);
  while ($row = mysql_fetch_object($res)) {
    $user_custids[] = $row->custid;
  }

  $id = intval($_REQUEST["id"]);

  /*******************
   * filter customers if userlevel = 0 (StandardUser)
   * assigned project-custids needed   
   * assigned customer-custid needed    
   *******************/
   
  if ($pm_auth_userlevel < 2 && !$pm_acl["c_view_all"] && !$pm_acl["p_view_all"]) {
    //project assignment check
    $sql = "select * from `" . $tb_prefix . "project_users` where pid in (select id from `" . $tb_prefix . "projects` where custid = '$id' and status = '1') and uid = '$pm_auth_uid';";
    $res = dbquery($sql,$db);
    $num_pu = mysql_num_rows($res);
    if ($pm_acl["c_view_ass"]) {
      //customer assignment check
      $sql = "select * from `" . $tb_prefix . "customer_users` where uid = '$pm_auth_uid' and custid = '$id';";
      $res = dbquery($sql,$db);
      $num_cu = mysql_num_rows($res);
    } 
    if (!$num_pu && !$num_cu) $id = 0;   //just set the custid to zero to prevent from finding someone
  }
  $sql = "select * from `" . $tb_prefix . "customers` where id = '$id' " . ($pm_auth_userlevel < 2 ? " and status = '1'" : "") . ";";
  $res = dbquery($sql,$db);
  $row = mysql_fetch_object($res);
  
  $custno = ($row->custno ? $row->custno : "n/a");
  $descr = ($row->descr ? $row->descr : "n/a");
  $contact_person = ($row->contact_person ? $row->contact_person : "n/a");
  
  if ($row->location && $row->zip) $location = $row->zip . " - " . $row->location;
  elseif ($row->location) $location = $row->location;
  elseif ($row->zip) $location = $row->zip;
  else $location = "n/a";
  
  $address = ($row->address ? $row->address : "n/a");
  $country = ($row->country ? $row->country : "n/a");
  $email = ($row->email ? "<a href='mailto:" . $row->email . "'>" . $row->email . "</a>" : "n/a");
  $url = ($row->url ? "<a href='" . $row->url . "' target='_blank'>" . $row->url . "</a>" : "n/a");
  $tel1 = ($row->tel1 ? $row->tel1 : "n/a");
  $tel2 = ($row->tel2 ? $row->tel2 : "n/a");
  $fax = ($row->fax ? $row->fax : "n/a");
  $descr_long = ($row->descr_long ? $row->descr_long : "n/a");
  $status = $row->status;
  
  $descr_hl = trim($row->descr ? $row->descr : $row->contact_person);
  
  echo tabhead(lang("hl_nav"));
  if ($descr_hl && $pm_auth_userlevel > 1) echo "<div class='listitem'><a href='?todo=docs&amp;id=$id'>" . lang("link_mandocs") . "</a></div>";
  echo "<div class='listitem'><a href='$show.php?todo=graph&amp;id=$id'>" . lang("link_graph") . "</a></div>";
  echo "<div class='listitem'><a href='$show.php'>" . lang("link_back2custs") . "</a></div>";
  echo tabfoot();

  
  
  echo tabhead(($descr_hl ? trim($row->custno . " $descr_hl") . ($pm_auth_userlevel > 1 ? " <a href='?todo=edit&amp;id=$id'><img src='images/icons/edit.gif' border='0' alt='" . lang("edit") . "' title='" . lang("edit") . "' align='top'></a>" : "") : lang("hl_custnotfound")),2);
  
  if (!$descr_hl) echo alert(lang("mess_custnotfound"));
  else {
    echo "<table cellpadding='10' cellspacing='0' class='det'>
      <tr><td class='b' style='width:170px;'>" . lang("descr_company") . "</td>
        <td>$descr</td></tr>
      <tr><td class='b' style='width:170px;'>" . lang("descr_contactperson") . "</td>
        <td>$contact_person</td></tr>
      <tr><td class='b'>" . lang("descr_custno") . "</td>
        <td>$custno</td></tr>
      <tr><td class='b'>" . lang("descr_status") . "</td>
        <td>" . lang($row->status ? "online" : "offline") . "</td></tr>
      <tr><td class='b' style='width:170px;'>" . lang("descr_address") . "</td>
        <td>$address</td></tr>
      <tr><td class='b' style='width:170px;'>" . lang("descr_ziploc") . "</td>
        <td>$location</td></tr>
      <tr><td class='b' style='width:170px;'>" . lang("descr_country") . "</td>
        <td>$country</td></tr>
      <tr><td class='b' style='width:170px;'>" . lang("descr_email") . "</td>
        <td>$email</td></tr>
      <tr><td class='b' style='width:170px;'>" . lang("descr_url") . "</td>
        <td>$url</td></tr>
      <tr><td class='b' style='width:170px;'>" . lang("descr_tel") . " #1</td>
        <td>$tel1</td></tr>
      <tr><td class='b' style='width:170px;'>" . lang("descr_tel") . " #2</td>
        <td>$tel2</td></tr>
      <tr><td class='b' style='width:170px;'>" . lang("descr_fax") . "</td>
        <td>$fax</td></tr>
      <tr><td class='b'>" . lang("descr_longdescr") . "</td>
        <td>" . nl2br($descr_long) . "</td></tr>
      <tr><td class='b'>" . lang("hl_projectlist") . "</td>
        <td>";
    //projects
    //projecttimes
    $sql = "SELECT pid, sum(unix_timestamp(end) - unix_timestamp(start)) as diff, count(id) as sessions FROM `" . $tb_prefix . "project_times` where pid in (select id from `" . $tb_prefix . "projects` where custid = '$id') and end is not NULL group by pid;";
    $res = dbquery($sql,$db);
    echo mysql_error();
    while ($row = mysql_fetch_object($res)) {
      $times[$row->pid] = $row->diff;
      $sessions[$row->pid] = $row->sessions;
      $times_total += $row->diff;
    }
    
    //standardusers should only be able to view active projects and assigned-to projects or all projects if enabled (new ACL)
    unset($add2sql);
    if ($pm_auth_userlevel < 2) {
      if ($pm_acl["p_view_all"]) $add2sql = "and status = '1'";
      elseif ($pm_acl["p_view_ass"]) $add2sql = "and status > 0 and id in (select pid from `" . $tb_prefix . "project_users` where uid = '$pm_auth_uid')";
      else $add2sql = "and id = '0'";
      if ($pm_acl["p_view_ass_c"]) $add2sql = "and status = '1'";     //able to view assigned customer projects
    }
    $sql = "select * from `" . $tb_prefix . "projects` where custid = '$id' $add2sql;";
    $res = dbquery($sql,$db);
    if (mysql_num_rows($res)) {
      // TODO: times summary
      echo "<table align='center' class='tabl2' cellpadding='5' cellspacing='0'>
        <tr class='detsm tablh'><td>" . lang("descr_projecttitle") . "</td><td style='width:70px;'>" . lang("descr_spenttime") . "</td></tr>";
      $i = 0;
      while ($row = mysql_fetch_object($res)) {
        echo "<tr class='detsm tablc" . (++$i%2 ? 1 : 2) . "'>
          <td " . (!$row->status ? "class='error1'" : "") . "><a href='projects.php?todo=details&amp;id=" . $row->id . "'>" . $row->descr . "</a> (" . intval($sessions[$row->id]) . ")</td>
        <td>" . round($times[$row->id]/60/60,2) . " h</td></tr>";
      }
      echo "</table>";
    } else {
      echo alert(lang("mess_projectsnotfound"));
    }
    echo "</td></tr>";
    if ($pm_auth_userlevel > 1 || ($pm_acl["c_view_ass"] && in_array($id,$user_custids)) || $pm_acl["c_view_all"]) {
      echo "<tr><td class='b'>" . lang("hl_documents") . "</td>
        <td>";
      //docs
      $sql = "select * from `" . $tb_prefix . "docs` where custid = '$id' order by descr;";
      $res = dbquery($sql,$db);
      if (!mysql_num_rows($res)) {
        echo alert(lang("mess_documentsnotfound"));
      } else {
        echo "<table align='center' class='tabl2' cellpadding='5' cellspacing='0'>
          <tr class='detsm tablh'><td>" . lang("descr_filedescr") . "</td><td style='width:85px;'>" . lang("descr_lastchange") . "</td></tr>";
        while ($row = mysql_fetch_object($res)) {
          $ext = strtolower(substr(strrchr($row->file_name,"."),1)); 
          unset ($icon);
          switch( $ext ) {
             case "pdf":  $icon = "pdf.gif"; break;
             case "odt":  $icon = "odt.gif"; break;
             case "txt":  $icon = "txt.gif"; break;
             case "doc":  $icon = "doc.gif"; break;
             case "docx":  $icon = "doc.gif"; break;
             case "csv":  $icon = "xls.gif"; break;
             case "xls":  $icon = "xls.gif"; break;
             case "ppt":  $icon = "ppt.gif"; break;
             case "zip":  $icon = "zip.gif"; break;
             case "jpg":  $icon = "img.gif"; break;
             default: $icon = "unknown.gif";
          }
          echo "<tr class='detsm tablc" . (++$i%2 ? 1 : 2) . "'>
            <td><img src='images/file_icons/$icon' alt='' align='top'> <a href='d.php?c=$id&amp;d=" . $row->id . "' target='_blank'>" . $row->descr . "</a> <span class='descr'>" . fsize(filesize("$docs_dir/$id/" . $row->id . "/" . $row->file_name)) . "</span></td>
            <td>" . substr(($row->edited ? $row->edited : $row->created),0,10) . "</td></tr>";
        }
        echo "</table>";
      }
    }
    
    //Todos
    echo "<tr><td class='b'>" . lang("hl_todos") . "</td>
      <td>";
    
    $sql = "select * from `" . $tb_prefix . "todos` where uid = '$pm_auth_uid' and custid = '$id' order by status, created desc;";
    $res = dbquery($sql,$db);
    if (!mysql_num_rows($res)) {
      echo alert(lang("mess_todosnotfound"));
    } else {
      echo "<table align='center' class='tabl2' cellpadding='5' cellspacing='0'>
        <tr class='detsm tablh'><td>" . lang("descr_descr") . "</td><td style='width:85px;'>" . lang("descr_lastchange") . "</td></tr>";
      while ($row = mysql_fetch_object($res)) {
        echo "<tr class='detsm tablc" . (++$i%2 ? 1 : 2) . "'>
          <td class='" . (!$row->status ? "error1" : "success1") . "'><a href='todos.php?todo=details&amp;id=" . $row->id . "'>" . $row->descr . "</a></td>
          <td>" . substr(($row->edited ? $row->edited : $row->created),0,10) . "</td></tr>";
      }
      echo "</table>";
    }
    
    
    echo "</td></tr></table>";
  }
  echo tabfoot(2);
}
/**********
 * TODO: customer's details [-]
 **********/


/**********
 * TODO: customers' graph [+]
 **********/
if ($todo == "graph") {

  $user_custids = array();
  //to projects assinged users
  $sql = "select * from `" . $tb_prefix . "customer_users` where uid = '$pm_auth_uid';";
  $res = dbquery($sql,$db);
  while ($row = mysql_fetch_object($res)) {
    $user_custids[] = $row->custid;
  }

  $id = intval($_REQUEST["id"]);

  /*******************
   * filter customers if userlevel = 0 (StandardUser)
   * assigned project-custids needed   
   * assigned customer-custid needed    
   *******************/
   
  if ($pm_auth_userlevel < 2 && !$pm_acl["c_view_all"] && !$pm_acl["p_view_all"]) {
    //project assignment check
    $sql = "select * from `" . $tb_prefix . "project_users` where pid in (select id from `" . $tb_prefix . "projects` where custid = '$id' and status = '1') and uid = '$pm_auth_uid';";
    $res = dbquery($sql,$db);
    $num_pu = mysql_num_rows($res);
    if ($pm_acl["c_view_ass"]) {
      //customer assignment check
      $sql = "select * from `" . $tb_prefix . "customer_users` where uid = '$pm_auth_uid' and custid = '$id';";
      $res = dbquery($sql,$db);
      $num_cu = mysql_num_rows($res);
    } 
    if (!$num_pu && !$num_cu) $id = 0;   //just set the custid to zero to prevent from finding someone
  }
  $sql = "select * from `" . $tb_prefix . "customers` where id = '$id' " . ($pm_auth_userlevel < 2 ? " and status = '1'" : "") . ";";
  $res = dbquery($sql,$db);
  $row = mysql_fetch_object($res);
  
  $custno = ($row->custno ? $row->custno : "n/a");
  $descr = ($row->descr ? $row->descr : "n/a");
  $contact_person = ($row->contact_person ? $row->contact_person : "n/a");
  
  if ($row->location && $row->zip) $location = $row->zip . " - " . $row->location;
  elseif ($row->location) $location = $row->location;
  elseif ($row->zip) $location = $row->zip;
  else $location = "n/a";
  
  $address = ($row->address ? $row->address : "n/a");
  $country = ($row->country ? $row->country : "n/a");
  $email = ($row->email ? "<a href='mailto:" . $row->email . "'>" . $row->email . "</a>" : "n/a");
  $url = ($row->url ? "<a href='" . $row->url . "' target='_blank'>" . $row->url . "</a>" : "n/a");
  $tel1 = ($row->tel1 ? $row->tel1 : "n/a");
  $tel2 = ($row->tel2 ? $row->tel2 : "n/a");
  $fax = ($row->fax ? $row->fax : "n/a");
  $descr_long = ($row->descr_long ? $row->descr_long : "n/a");
  $status = $row->status;
  
  $descr_hl = trim($row->descr ? $row->descr : $row->contact_person);
  
  echo tabhead(lang("hl_nav"));
  echo "<div class='listitem'><a href='$show.php?todo=details&amp;id=$id'>" . lang("link_back2cust") . "</a></div>";
  echo "<div class='listitem'><a href='$show.php'>" . lang("link_back2custs") . "</a></div>";
  echo tabfoot();

  
  
  echo tabhead(($descr_hl ? trim($row->custno . " $descr_hl") : lang("hl_custnotfound")),3);
  
  if (!$descr_hl) echo alert(lang("mess_custnotfound"));
  else {
    //projects
    //projecttimes
    $sql = "SELECT pid, sum(unix_timestamp(end) - unix_timestamp(start)) as diff, count(id) as sessions FROM `" . $tb_prefix . "project_times` where pid in (select id from `" . $tb_prefix . "projects` where custid = '$id') and end is not NULL group by pid;";
    $res = dbquery($sql,$db);
    echo mysql_error();
    while ($row = mysql_fetch_object($res)) {
      $times[$row->pid] = $row->diff;
      $sessions[$row->pid] = $row->sessions;
      $times_total += $row->diff;
    }
    
    //standardusers should only be able to view active projects and assigned-to projects or all projects if enabled (new ACL)
    unset($add2sql);
    if ($pm_auth_userlevel < 2) {
      if ($pm_acl["p_view_all"]) $add2sql = "and status = '1'";
      elseif ($pm_acl["p_view_ass"]) $add2sql = "and status > 0 and id in (select pid from `" . $tb_prefix . "project_users` where uid = '$pm_auth_uid')";
      else $add2sql = "and id = '0'";
      if ($pm_acl["p_view_ass_c"]) $add2sql = "and status = '1'";     //able to view assigned customer projects
    }
    $sql = "select * from `" . $tb_prefix . "projects` where custid = '$id' $add2sql;";
    $res = dbquery($sql,$db);
    if (mysql_num_rows($res)) {
      
      $graph = array(); //main Graph Array will contain some arrays
      $i = 0;
      while ($row = mysql_fetch_object($res)) {
        //through the projects
        $i++;        
        //break after 10 bars
        $graphProjects[] = "[" . round($times[$row->id]/60/60,2) . ",'<a href=\'projects.php?todo=details&amp;id=" . $row->id . "\' title=\'" . addslashes($row->descr) . " (" . round($times[$row->id]/60/60,2) . " h)\'>" . addslashes(short($row->descr,50)) . "<\/a>']";
        if (!($i%10) || $i == mysql_num_rows($res)) {
          $graph[] = $graphProjects;
          unset($graphProjects);
        }

      }
    
      //Graph array filled ?
      if ($graph) {
        for ($i=0;$i<count($graph);$i++) {
          echo "<div id='Graph$i'></div><hr>";
          $add2graphJS .= "GraphData$i = new Array(" . implode(",\n",$graph[$i]) . ");\n\n";
          $add2graphJS .= "\$(\"#Graph$i\").jqBarGraph({
          	data: GraphData$i,
          	width: 820,
          	colors: ['" . implode("','",$barcols) . "'],
          	color: '#1A2944',
          	barSpace: 5,
          	legend: true,
          	legendWidth: 200,
          	postfix: ' h',
          	title: '<big class=\'b\'>" . he(lang("hl_custchart")) . "<\/big><br><small>" . he(lang("hl_custchart_info")) . "<\/small>'
          });\n\n";
        }
      }
    } else {
      echo alert(lang("mess_projectsnotfound"));
    }
  }
  echo tabfoot(3);
  if ($add2graphJS) echo "<script type='text/javascript'>" . $add2graphJS . "</script>";
}
/**********
 * TODO: customers' graph [-]
 **********/
 
 
/**********
 * TODO: edit and list customer's docs [+]
 **********/
if ($todo == "docs") {
  permissioncheck($pm_auth_userlevel > 1);
  $id = intval($_REQUEST["id"]);
  if (!$stodo) $stodo = $_REQUEST["stodo"];
  

  echo tabhead(lang("hl_nav"));
  if (!$stodo) echo "<div class='listitem'><a href='?todo=docs&amp;stodo=edit&amp;id=$id'>" . lang("link_adddoc") . "</a></div>";
  else echo "<div class='listitem'><a href='?todo=docs&amp;id=$id'>" . lang("link_back2docs") . "</a></div>";
  echo "<div class='listitem'><a href='?todo=details&amp;id=$id'>" . lang("link_back2cust") . "</a></div>";
  echo "<div class='listitem'><a href='$show.php'>" . lang("link_back2custs") . "</a></div>";
  
  if (!$stodo) {
    echo "<div class='infoitem' style='background-image: url(images/icons/edit.gif);'>" . lang("info_editdoc") . "</div>";
    echo "<div class='infoitem' style='background-image: url(images/icons/delete.gif);'>" . lang("info_deldoc") . "</div>";
  }
  echo tabfoot();


  $sql = "select * from `" . $tb_prefix . "customers` where id = '$id';";
  $res = dbquery($sql,$db);
  $row = mysql_fetch_object($res);

  echo tabhead(($row->id ? sprintf(lang("hl_docsof"),he(trim($row->custno . " " . ($row->descr ? $row->descr : $row->contact_person)))) : lang("hl_custnotfound")),2);
  
  if (!$row->id) echo error(array(lang("mess_custnotfound")));
  elseif (!is_dir($upload_dir)) echo error(array(sprintf(lang("err_dirnotfound"),$upload_dir)));
  elseif (!is_writable($upload_dir)) echo error(array(sprintf(lang("err_dirnotwritable"),$upload_dir)));
  else {
    unset($row);
    if (!is_dir($docs_dir)) mkdir($docs_dir);
    
    if ($error) echo error($error);
    if ($success) echo success($success);
    
    if ($stodo == "edit") { //edit or add document 
      $docid = intval($_REQUEST["docid"]);
      if ($docid) {
        $sql = "select * from `" . $tb_prefix . "docs` where custid = '$id' and id = '$docid';";
        $res = dbquery($sql,$db);
        $row = mysql_fetch_object($res);
      }
      if (!$action) {
        $descr = $row->descr;
      }
    
      echo "<form method='post' action='$show.php' enctype='multipart/form-data'>
        <input type='hidden' name='action' value='editdoc'>
        <input type='hidden' name='id' value='$id'>
        <input type='hidden' name='todo' value='$todo'>
        <input type='hidden' name='docid' value='$docid'>
        " . lang("descr_descr") . (!$docid ? " <i class='descr'>" . lang("descr_descrinfo") . "</i>" : "") . "<br>
        <input type='text' name='descr' value='$descr' class='fw1'><br>
        " . lang("descr_file") . ($docid ? " <i class='descr'>" . lang("descr_fileinfo") . " <a href='d.php?c=$id&amp;d=$docid' target='_blank'>" . $row->file_name . "</a></i>" : "") . "<br>
        <input type='file' name='doc' class='fw1'><br><br>
        <input type='submit' value='" . lang("save_changes") . "' class='button'>
        </form>";
    }
    
    
    if (!$stodo) {//only listing of the documents
      //database entries
      $sql = "select * from `" . $tb_prefix . "docs` where custid = '$id' order by descr;";
      $res = dbquery($sql,$db);
      if (!mysql_num_rows($res)) {
        echo alert("no documents found");
      } else {
        echo "<table align='center' class='tabl' cellpadding='5' cellspacing='0'>
          <tr class='tablh'><td>" . lang("descr_filedescr") . "</td><td style='width:85px;'>" . lang("descr_lastchange") . "</td><td style='width:65px;'>" . lang("descr_tools") . "</td></tr>";
        while ($row = mysql_fetch_object($res)) {
          $ext = strtolower(substr(strrchr($row->file_name,"."),1)); 
          unset ($icon);
          switch( $ext ) {
             case "pdf":  $icon = "pdf.gif"; break;
             case "odt":  $icon = "odt.gif"; break;
             case "txt":  $icon = "txt.gif"; break;
             case "doc":  $icon = "doc.gif"; break;
             case "csv":  $icon = "xls.gif"; break;
             case "xls":  $icon = "xls.gif"; break;
             case "ppt":  $icon = "ppt.gif"; break;
             case "zip":  $icon = "zip.gif"; break;
             case "jpg":  $icon = "img.gif"; break;
             default: $icon = "unknown.gif";
          }
          echo "<tr class='tablc" . (++$i%2 ? 1 : 2) . "'>
            <td><img src='images/file_icons/$icon' alt='' align='top'> <a href='d.php?c=$id&amp;d=" . $row->id . "' target='_blank'>" . $row->descr . "</a> <span class='descr'>" . fsize(filesize("$docs_dir/$id/" . $row->id . "/" . $row->file_name)) . "</span></td>
            <td>" . substr(($row->edited ? $row->edited : $row->created),0,10) . "</td>
            <td><a href='?todo=$todo&amp;stodo=edit&amp;id=$id&amp;docid=" . $row->id . "'><img src='images/icons/edit.gif' alt='" . lang("edit") . "' title='" . lang("edit") . "' border='0' style='margin:2px;'></a>
              <a href='confirm.php?action=deldoc&amp;todo=$todo&amp;docid=" . $row->id . "&amp;id=$id'><img src='images/icons/delete.gif' alt='" . lang("delete") . "' title='" . lang("delete") . "' border='0' style='margin:2px;'></a></td></tr>";
        }
        echo "</table>";
      }
    }
  }
  echo tabfoot(2);
}
/**********
 * TODO: edit and list customer's docs [+]
 **********/



 
/**********
 * TODO: edit customer [+]
 **********/
if ($todo == "edit") {
  permissioncheck($pm_auth_userlevel > 1);
  $id = intval($_REQUEST["id"]);
  
  if ($id && !$action) {
    $sql = "select * from `" . $tb_prefix . "customers` where id = '$id';";
    $res = dbquery($sql,$db);
    $row = mysql_fetch_object($res);
    $custno = $row->custno;
    $descr = $row->descr;
    $contact_person = $row->contact_person;
    $zip = $row->zip;
    $location = $row->location;
    $address = $row->address;
    $country = $row->country;
    $email = $row->email;
    $url = $row->url;
    $tel1 = $row->tel1;
    $tel2 = $row->tel2;
    $fax = $row->fax;
    $descr_long = $row->descr_long;
    $status = $row->status;
  }
  $status_checked[intval($status)] = "checked";
  
  echo tabhead(lang("hl_nav"));
  if ($id) echo "<div class='listitem'><a href='?todo=docs&amp;id=$id'>" . lang("link_mandocs") . "</a></div>";
  echo "<div class='listitem'><a href='$show.php?todo=details&amp;id=$id'>" . lang("link_back2cust") . "</a></div>";
  echo "<div class='listitem'><a href='$show.php'>" . lang("link_back2custs") . "</a></div>";
  echo tabfoot();
  
  echo tabhead(($id ? lang("hl_editcust") : lang("hl_createcust")),2);
  
  
  if ($error) echo error($error);
  if ($success) echo success($success);
  
  
  echo "<form method='post' action='$show.php'>
    <input type='hidden' name='action' value='edit'>
    <input type='hidden' name='id' value='$id'>
    " . lang("descr_company") . " <i class='descr'>" . lang("descr_companyinfo") . "</i><br>
    <input type='text' name='descr' value='$descr' class='fw1'><br>
    " . lang("descr_contactperson") . " <i class='descr'>" . lang("descr_companyinfo") . "</i><br>
    <input type='text' name='contact_person' value='$contact_person' class='fw1'><br>
    " . lang("descr_custno") . " <i class='descr'>" . lang("optional") . "</i><br>
    <input type='text' name='custno' value='$custno' class='fw3'><br>
    " . lang("descr_address") . " <i class='descr'>" . lang("optional") . "</i><br>
    <input type='text' name='address' value='$address' class='fw1'><br>
    " . lang("descr_ziploc") . " <i class='descr'>" . lang("optional") . "</i><br>
    <input type='text' name='zip' value='$zip' class='fw3'> - <input type='text' name='location' value='$location' class='fw2' style='margin-left: auto;'><br>
    " . lang("descr_country") . " <i class='descr'>" . lang("optional") . "</i><br>
    <input type='text' name='country' value='$country' class='fw1'><br>
    " . lang("descr_email") . " <i class='descr'>" . lang("optional") . "</i><br>
    <input type='text' name='email' value='$email' class='fw1'><br>
    " . lang("descr_url") . " <i class='descr'>" . lang("optional") . "</i><br>
    <input type='text' name='url' value='$url' class='fw1'><br>
    " . lang("descr_tel") . " #1 <i class='descr'>" . lang("optional") . "</i><br>
    <input type='text' name='tel1' value='$tel1' class='fw1'><br>
    " . lang("descr_tel") . " #2 <i class='descr'>" . lang("optional") . "</i><br>
    <input type='text' name='tel2' value='$tel2' class='fw1'><br>
    " . lang("descr_fax") . " <i class='descr'>" . lang("optional") . "</i><br>
    <input type='text' name='fax' value='$fax' class='fw1'><br>
    " . lang("descr_longdescr") . " <i class='descr'>" . lang("optional") . "</i><br>
    <textarea name='descr_long' cols='40' rows='20' class='ta1'>$descr_long</textarea><br>
    " . lang("descr_status") . "<br>
    <input type='radio' name='status' value='1' class='radio' id='online' " . $status_checked[1] . "> <label for='online'>" . lang("online") . "</label><br>
    <input type='radio' name='status' value='0' class='radio' id='offline' " . $status_checked[0] . "> <label for='offline'>" . lang("offline") . "</label><br><br>
    <input type='submit' value='" . lang("save_changes") . "' class='button'>
    </form>";
  echo tabfoot(2);
}
/**********
 * TODO: edit customer [-]
 **********/

include ("includes/footer.php");
?>