<?php

  /********************************
   * English language File (todos)
   * Mac Winter | mac@homac.net | www.homac.net
   * SPM 1.5, V 1.0 2009-12-06
   ********************************/       

  $lang = array_merge($lang, array(
    'link_addtodo' => 'Add new todo',
    'link_viewunfinished' => 'View only unfinished todos',
    'link_viewfinished' => 'View only finished todos',
    'link_viewall' => 'View all todos',
    'link_back2todos' => 'Back to todos\' overview',
    
    'info_finish' => 'Click to finish todo',
    'info_unfinish' => 'Click to unfinish todo',   
    'info_edit' => 'Click to edit todo',
    'info_delete' => 'Delete todo',
    'info_general' => 'A click on a todo\'s description shows you the details of the todo.',       

    'hl_todos' => 'Your todos',
    'hl_todonotfound' => 'Todo not found.',
    'hl_edittodo' => 'Edit existing todo',
    'hl_createtodo' => 'Create a new todo',
    
    'descr_shortstatement' => 'Todo\'s short statement',
    'descr_created' => 'Created',
    'descr_edited' => 'Edited',
    'descr_createdon' => 'Created on',
    'descr_editedon' => 'Edited on',
    'descr_tools' => 'Tools',
    'descr_descr' => 'Description',
    'descr_delegatedby' => 'Delegated by',
    'descr_status' => 'Status',
    'descr_asscust' => 'Assigned customer',
    'descr_assproj' => 'Assigned project',
    'descr_details' => 'More details',
    'descr_longdescr' => 'Long description',
    'descr_assuser' => 'Assign this todo to',
    
    'finished' => 'finished',
    'unfinished' => 'unfinished',
    
    'alert_notodos' => 'No entries found, make sure you\'re not filtering this view.',
    
    'err_todonotfound' => 'Todo not found or not enough permissions.',
    'err_descr' => 'Please type in a description.',
    'err_notodo' => 'There was no todo selected.',
        
    'succ_delete' => 'The todo was deleted successfully.',
    'succ_delegated' => 'The todo was delegated successfully.',
    'succ_updated' => 'The todo was updated successfully.',
    'succ_created' => 'The todo was created successfully.',
    'succ_finished' => 'The todo was sucessfully set to <b>finished</b>.',
    'succ_unfinished' => 'The todo was sucessfully set to <b>unfinished</b>.',
    
    //new since 1.5
    'link_showalldetails' => 'Show all details',
    'link_hidealldetails' => 'Hide all details',
    'hl_logentries' => 'List of logged actions on this todo',
    'info_nodelete' => 'Todo cannot be deleted, it was delegated',
    'info_delegated2me' => 'Todo was delegated <b>to me</b>',
    'info_delegatedbyme' => 'Todo was delegated <b>by me</b>',
    'info_to' => 'to %1$s',           //username
    'info_by' => 'by %1$s',          //username
    'descr_opened' => 'Opened on',
    'descr_delegatedto' => 'Delegated to',
    'descr_logshort' => 'Short info',
    'delegated' => 'delegated',
    'nodelete' => 'cannot be deleted by you',
    'alert_nodelete' => 'Todo wasn\'t deleted (not enough permissions?).',
    'mess_logentriesnotfound' => 'No log entries found.',
    'log_edited' => 'Edited todo',
    'log_closed' => 'Finished todo',
    'log_reopened' => 'Re-opened todo',
    'log_before' => 'Before',
    'log_after' => 'After',
    
  ));
?>