<?php
include ("includes/header.php");

/*** Language File ***/
$lang_file = "lang/$use_lang/todos.lang.php";
if (file_exists($lang_file)) {
  include($lang_file);
} else {
  $output = error(array("Language file $lang_file not found")) . "</div></body></html>";
  exit($output);  
}


/**********
 * Some needed infos for viewing and actions [+]
 **********/
  //all customers
  $sql = "select * from `" . $tb_prefix . "customers` order by custno, descr;";
  $res = dbquery($sql);
  while ($row = mysql_fetch_object($res)) {
    $cust_descr[$row->id] = he(trim($row->custno . " " . ($row->descr ? $row->descr : $row->contact_person)));
    $cust_stat[$row->id] = $row->status;
    $customers[] = $row;
    $custids[] = $row->id;
  }
  //all projects
  $sql = "select * from `" . $tb_prefix . "projects` order by descr;";
  $res = dbquery($sql);
  while ($row = mysql_fetch_object($res)) {
    $proj_descr[$row->id] = he($row->descr);
    $proj_stat[$row->id] = $row->status;
    $projects[] = $row;
    $pids[] = $row->id;
  }
  //all users
  $sql = "select * from `" . $tb_prefix . "users` where status = '1' order by user;";
  $res = dbquery($sql);
  while ($row = mysql_fetch_object($res)) {
    $user_name[$row->id] = he($row->user);
    $user_ids[] = $row->id;
  }
  
  if (!$is_admin) {
    //only necessary if no admin  
    
    if (!$pm_acl["p_view_all"] && !$pm_acl["c_view_all"]) {    
      //assigned customers
      if ($pm_acl["c_view_ass"]) {
        $sql = "select custid from `" . $tb_prefix . "customer_users` where uid = '$pm_auth_uid';";
        $res = dbquery($sql,$db);
        while ($row = mysql_fetch_object($res)) {
          $user_custids[] = $row->custid;
        }
      }
      //assigned projects
      if ($pm_acl["p_view_ass"] || $pm_acl["p_view_ass_c"]) {
        $sql = "select id, custid from `" . $tb_prefix . "projects` where 
          (id in (select pid from `" . $tb_prefix . "project_users` where uid = '$pm_auth_uid') " . ($user_custids && $pm_acl["p_view_ass_c"] ? "or custid in (" . implode(",",$user_custids) . ")" : "") . ") and status = '1';";
        $res = dbquery($sql,$db);
        while ($row = mysql_fetch_object($res)) {
          $user_custids[] = $row->custid;
          $user_pids[] = $row->id;
        }
      }
    }
    if ($user_custids) $user_custids = array_unique($user_custids);
  } else {
    //is_admin
    $user_pids = $pids;
    $user_custids = $custids;
  }

/**********
 * Some needed infos for viewing and actions [-]
 **********/

/*** Actions Set ***/
include ("includes/todos_actions.php");

 
/*********************************** ACTIONS finished *****************************************/

/**********
 * TODO: list todos [+]
 **********/
if (!$todo) {
  unset ($add2sql);
  echo tabhead(lang("hl_nav"));
  echo "<div class='listitem'><a href='?todo=edit'>" . lang("link_addtodo") . "</a></div>";
  
  if (is_numeric($_SESSION["todostat"])) {
    if ($_SESSION["todostat"]) echo "<div class='listitem'><a href='?action=viewtodos&amp;w=0'>" . lang("link_viewunfinished") . "</a></div>";
    else echo "<div class='listitem'><a href='?action=viewtodos&amp;w=1'>" . lang("link_viewfinished") . "</a></div>";
    echo "<div class='listitem'><a href='?action=viewtodos&amp;w=99'>" . lang("link_viewall") . "</a></div>";
    $add2sql = "and status = '" . $_SESSION["todostat"] . "'";
  } else {
    echo "<div class='listitem'><a href='?action=viewtodos&amp;w=0'>" . lang("link_viewunfinished") . "</a></div>";
    echo "<div class='listitem'><a href='?action=viewtodos&amp;w=1'>" . lang("link_viewfinished") . "</a></div>";
  }
  echo "<div class='infoitem' style='background-image: url(images/icons/stop.gif);'>" . lang("info_unfinish") . "</div>";
  echo "<div class='infoitem' style='background-image: url(images/icons/play.gif);'>" . lang("info_finish") . "</div>";
  echo "<div class='infoitem' style='background-image: url(images/icons/edit.gif);'>" . lang("info_edit") . "</div>";
  echo "<div class='infoitem' style='background-image: url(images/icons/delete.gif);'>" . lang("info_delete") . "</div>";
  echo "<div class='infoitem' style='background-image: url(images/icons/delete_dis.gif);'>" . lang("info_nodelete") . "</div>";  
  
  if ($en_foreign_todos) {
    echo "<div class='infoitem' style='background-image: url(images/icons/bullet_blue.png);'>" . lang("info_delegated2me") . "</div>";
    echo "<div class='infoitem' style='background-image: url(images/icons/bullet_yellow.png);'>" . lang("info_delegatedbyme") . "</div>";  
  }
  
  echo "<div class='infoitem'>" . lang("info_general") . "</div>";
  
  echo tabfoot();


  echo tabhead(lang("hl_todos"),2);
  
  if ($error) echo error($error);
  if ($success) echo success($success);
  if ($alert) echo alert($alert);

  $sql = "select * from `" . $tb_prefix . "todos` where (uid = '$pm_auth_uid' or delegated_uid = '$pm_auth_uid') $add2sql order by status, created desc;";
  $res = dbquery($sql);
  $num = mysql_num_rows($res);
  if ($num) {
    echo "<table align='center' class='tabl' cellpadding='5' cellspacing='0'>
      <tr class='tablh'><td>" . lang("descr_shortstatement") . "</td><td style='width:80px;'>" . lang("descr_created") . "</td><td style='width:80px;'>" . lang("descr_edited") . "</td><td style='width:70px;'>" . lang("descr_tools") . "</td></tr>";
    $i=0;
    while ($row = mysql_fetch_object($res)) {
      echo "<tr class='tablc" . (++$i%2 ? 1 : 2) . "'>
        <td class='" . (!$row->status ? "error1" : "success1") . "'><a href='?todo=details&amp;id=" . $row->id . "'>" . $row->descr . "</a>";
      if ($row->delegated_uid) {
        echo "<img src='images/icons/bullet_" . ($row->delegated_uid == $pm_auth_uid ? "yellow" : "blue") . ".png' alt='" . lang("delegated") . "' title='" . lang("delegated") . "' border='0' style='margin:0px 2px;' align='top'><span class='descr defcol'>" . ($row->delegated_uid == $pm_auth_uid ? sprintf(lang("info_to"),$user_name[$row->uid]) : sprintf(lang("info_by"),$user_name[$row->delegated_uid])) . "</span>"; 
      } 
      echo "</td>
        <td style='text-align:right;padding-right:5px;'>" . substr($row->created,0,10) . "</td>
        <td style='text-align:right;padding-right:5px;'>" . ($row->edited ? substr($row->edited,0,10) : "&nbsp;") . "</td>
        <td><a href='?todo=edit&amp;id=" . $row->id . "'><img src='images/icons/edit.gif' alt='" . lang("edit") . "' title='" . lang("edit") . "' border='0' style='margin:2px;'></a>
          <a href='?action=chgstat&amp;current=" . $row->status ."&amp;id=" . $row->id . "'><img src='images/icons/" . ($row->status ? "stop" : "play") . ".gif' alt='akt/deakt' title='akt/deakt' border='0' style='margin:2px;'></a> "; 
      if (!$row->delegated_uid || $row->delegated_uid == $pm_auth_uid) echo "<a href='confirm.php?action=delete&amp;id=" . $row->id . "'><img src='images/icons/delete.gif' alt='" . lang("delete") . "' title='" . lang("delete") . "' border='0' style='margin:2px;'></a>";
      else echo "<img src='images/icons/delete_dis.gif' alt='' title='" . lang("nodelete") . "' border='0' style='margin:2px;'>";
      echo "</td></tr>";
    }
    echo "</table>";
  } else {
    echo alert(lang("alert_notodos"));
  } 
  echo tabfoot(2);
  unset ($add2sql);
}
/**********
 * TODO: list todos [+]
 **********/


/**********
 * TODO: todo's details [+]
 **********/
if ($todo == "details") {
   $id = intval($_REQUEST["id"]);    

  echo tabhead(lang("hl_nav"));
  echo "<div class='listitem'><a href='$show.php'>" . lang("link_back2todos") . "</a></div>";
  echo tabfoot();

  $sql = "select * from `" . $tb_prefix . "todos` where id = '$id' and (uid = '$pm_auth_uid' or delegated_uid = '$pm_auth_uid');";
  $res = dbquery($sql,$db);
  if (mysql_num_rows($res)) {
    $row = mysql_fetch_object($res);
  } else {
    $error[] = lang("err_todonotfound");
  }
  
  echo tabhead(($row->descr ? $row->descr . " <a href='?todo=edit&amp;id=$id'><img src='images/icons/edit.gif' border='0' alt='" . lang("edit") . "' title='" . lang("edit") . "' align='top'></a>" : lang("hl_todonotfound")),3);
  
  if (!$row->descr) echo alert(lang("err_todonotfound"));
  else {
  
    if ($error) echo error($error);
    if ($success) echo success($success);
    if ($alert) echo alert($alert);
  
    //mark as opened
    if (!$row->opened && $row->uid == $pm_auth_uid) {
      dbquery("update `" . $tb_prefix . "todos` set opened = now() where id = '$id' and uid = '$pm_auth_uid'");
      $row->opened = "now";
    } else {
      $row->opened = "n/a";
    }
  
    echo "<table cellpadding='10' cellspacing='0' class='det'>
      <tr><td class='b' style='width:190px;'>" . lang("descr_descr") . "</td>
        <td>" . $row->descr . "</td></tr>";
    if ($row->delegated_uid) {
      echo "<tr><td class='b'>" . lang($row->delegated_uid == $pm_auth_uid ? "descr_delegatedto" : "descr_delegatedby") . "</td>
        <td>" . $user_name[($row->delegated_uid == $pm_auth_uid ? $row->uid : $row->delegated_uid)] . "</td></tr>";
    }
    
    echo "<tr><td class='b'>" . lang("descr_createdon") . "</td>
        <td>" . substr($row->created,0,16) . "</td></tr>
      <tr><td class='b'>" . lang("descr_editedon") . "</td>
        <td>" . ($row->edited ? substr($row->edited,0,16) : "&nbsp;") . "</td></tr>
      <tr><td class='b'>" . lang("descr_opened") . "</td>
        <td>" . substr($row->opened,0,16) . "</td></tr>
      <tr><td class='b'>" . lang("descr_status") . "</td>
        <td>" . lang($row->status ? "finished" : "unfinished") . "</td></tr>
      <tr><td class='b'>" . lang("descr_asscust") . "</td>
        <td>" . ($row->custid ? "<a href='customers.php?todo=details&amp;id=" . $row->custid . "'>" . $cust_descr[$row->custid] . "</a>" : "n/a") . "</td></tr>
      <tr><td class='b'>" . lang("descr_assproj") . "</td>
        <td>" . ($row->pid ? "<a href='projects.php?todo=details&amp;id=" . $row->pid . "'>" . $proj_descr[$row->pid] . "</a>": "n/a") . "</td></tr>
      <tr><td class='b'>" . lang("descr_details") . "</td>
        <td>" . nl2br($row->descr_long) . "&nbsp;</td></tr>
    </table>";
    if ($row->delegated_uid && $row->delegated_uid == $pm_auth_uid) {
    
      echo "<br><br><b>" . lang("hl_logentries") . "</b><br><br>";
    
      //check all todo logs to get descr_long_ids
      $sql = "select * from `" . $tb_prefix . "log` where descr_long is not NULL and descr_long != '' and cat = 'todo' and cat_id = '$id' order by id;";
      $res = dbquery($sql,$db);
      while ($row = mysql_fetch_object($res)) {
        $comment_ids[] = $row->id;
      }
      //check logs
      $sql = "select * from `" . $tb_prefix . "log` where cat = 'todo' and cat_id = '$id' order by created desc;";
      $res = dbquery($sql);
      if (mysql_num_rows($res)) {
        if ($comment_ids) {
          echo "<div><img src='images/icons/magnifier_zoom_in.gif' alt='' title='show details' border='0' style='margin:2px;' align='top'><a href='#' onclick=\"ShowHidelist(new Array('" . implode("','",$comment_ids) . "'),'show');return false;\">" . lang("link_showalldetails") . "</a>
          <img src='images/icons/magnifier_zoom_out.gif' alt='' title='hide details' border='0' style='margin:2px;margin-left:15px;' align='top'><a href='#' onclick=\"ShowHidelist(new Array('" . implode("','",$comment_ids) . "'),'hide');return false;\">" . lang("link_hidealldetails") . "</a></div>&nbsp;"; 
        }
        echo "<table align='center' class='tabl' cellpadding='5' cellspacing='0'>
          <tr class='tablh'><td>" . lang("descr_logshort") . "</td><td>" . lang("user") . "</td><td>" . lang("descr_created") . "</td><td style='width:50px;'>" . lang("descr_tools") . "</td></tr>";
        $i = 0;
        while ($row = mysql_fetch_object($res)) {
          echo "<tr class='tablc" . (++$i%2 ? 1 : 2) . "'>
            <td>";
          if ($row->descr_long) {
            echo "<a href='#' onclick=\"ShowHide01('detp" . $row->id . "',document.getElementById('zoompic" . $row->id . "'));return false;\">" . $row->descr_short . "</a>";
          } else {
            echo $row->descr_short;
          }
          echo "</td>
            <td>" . ($user_name[$row->uid] ? $user_name[$row->uid] : $row->uname) . "</td>
            <td>" . substr($row->created,0,16) . "</td>
            <td>";
          if ($row->descr_long) {
            echo "<img src='images/icons/magnifier_zoom_in.gif' alt='details' title='show/hide details' border='0' style='margin:2px;cursor:pointer;' id='zoompic" . $row->id . "' onclick=\"ShowHide01('detp" . $row->id . "',this);\"> ";    
          } else {
            echo "<img src='images/icons/magnifier_dis.gif' alt='no details' title='no details available' border='0' style='margin:2px;'> ";
          }
          echo "</td></tr>";
          
          if ($row->descr_long) {
            echo "<tr class='tablc" . ($i%2 ? 1 : 2) . "' id='detp" . $row->id . "' style='display:none;visibility:hidden;'><td colspan='4'>" . nl2br($row->descr_long) . "</td></tr>";
          }
        }
        echo "</table>";
      } else {
        echo lang("mess_logentriesnotfound");
      }
    }
  }
  echo tabfoot(3);
}
/**********
 * TODO: todo's details [-]
 **********/
 

 
 
 


/**********
 * TODO: add todo [+]
 **********/  
if ($todo == "edit") {
  $id = intval($_REQUEST["id"]);
  
  $sql = "select * from `" . $tb_prefix . "todos` where id = '$id' and (uid = '$pm_auth_uid' or delegated_uid = '$pm_auth_uid');";
  $res = dbquery($sql,$db);
  $row = mysql_fetch_object($res);
  if ($id && !$action) {
    $descr = $row->descr;
    $descr_long = $row->descr_long;
    $status = $row->status;
    $custid = $row->custid;
    $pid = $row->pid;
    $uid = $row->uid;
  }
  if (!$uid) $uid = $pm_auth_uid;
  
  $status_checked[intval($status)] = "checked";
  if ($user_custids) {
    $cust_options = "<option value='0'> - - - " . lang("customers") . " - - - </option>\n";
    for ($i=0;$i<count($user_custids);$i++) {
      $cust_options .= "<option value='" . $user_custids[$i] . "'>" . $cust_descr[$user_custids[$i]] . "</option>\n";
    } 
  }
  $cust_options = str_replace("value='$custid'", "value='$custid' selected", $cust_options);
  
  if ($en_foreign_todos) {
    if ($user_ids) {
      $user_options = "<option value='0'> - - - " . lang("users") . " - - - </option>\n";
      for ($i=0;$i<count($user_ids);$i++) {
        $user_options .= "<option value='" . $user_ids[$i] . "'>" . $user_name[$user_ids[$i]] . "</option>\n";
      } 
    }
    $user_options = str_replace("value='$uid'", "value='$uid' selected", $user_options);
  }
  
  if ($user_pids) {
    $proj_options = "<option value='0'> - - - " . lang("projects") . " - - - </option>\n";
    for ($i=0;$i<count($user_pids);$i++) {
      $proj_options .= "<option value='" . $user_pids[$i] . "'>" . $proj_descr[$user_pids[$i]] . "</option>\n";
    } 
  }
  $proj_options = str_replace("value='$pid'", "value='$pid' selected", $proj_options);
  
  echo tabhead(lang("hl_nav"));
  echo "<div class='listitem'><a href='$show.php'>" . lang("link_back2todos") . "</a></div>";
  echo tabfoot();
  
  echo tabhead(lang($id ? "hl_edittodo" : "hl_createtodo"),2);
  
  
  if ($error) echo error($error);
  if ($success) echo success($success);
  
  
  echo "<form method='post' action='$show.php'>
    <input type='hidden' name='action' value='edit'>
    <input type='hidden' name='id' value='$id'>
    " . lang("descr_descr") . "<br>
    <input type='text' name='descr' value='$descr' class='fw1'><br>
    " . lang("descr_longdescr") . " <i class='descr'>" . lang("optional") . "</i><br>
    <textarea name='descr_long' cols='40' rows='20' class='ta1'>$descr_long</textarea><br>
    " . lang("descr_asscust") . " <i class='descr'>optional</i><br>
    <select name='custid' class='fw1'>$cust_options</select><br>
    " . lang("descr_assproj") . " <i class='descr'>optional</i><br>
    <select name='pid' class='fw1'>$proj_options</select><br>";
  if ($en_foreign_todos && (!$row->delegated_uid || $row->delegated_uid == $pm_auth_uid)) {
    echo lang("descr_assuser") . "<br>
      <select name='uid' class='fw1'>$user_options</select><br>";
  }
  echo lang("descr_status") . "<br>
    <input type='radio' name='status' value='1' class='radio' id='finished' " . $status_checked[1] . "> <label for='finished'>" . lang("finished") . "</label><br>
    <input type='radio' name='status' value='0' class='radio' id='unfinished' " . $status_checked[0] . "> <label for='unfinished'>" . lang("unfinished") . "</label>";
  
    
  echo "<br><br><div style='clear:both;'><br><input type='submit' value='" . lang("save_changes") . "' class='button'></div>
    </form>";
  echo tabfoot(2);
}
/**********
 * TODO: add todo [-]
 **********/  


include ("includes/footer.php");
?>