<?php

/**********
 * ACTION: add/edit document to project [+]
 **********/ 
if ($action == "editdoc") {

  $target = $pdocs_dir;  //directory for documents

  $id = intval($_REQUEST["id"]);
  $docid = intval($_REQUEST["docid"]);
  $descr = $_REQUEST["descr"];

  //permissioncheck
  if ($pm_auth_userlevel < 2) {
    $hasaccess = false;
    //ACL
    //enabled add or manage project_files
    if ($pm_acl["pf_add"] || $pm_acl["pf_admin"]) {
      //able to view all or assigned projects
      if ($pm_acl["p_view_all"] || ($pm_acl["p_view_ass"] && in_array($id,$user_projects))) $hasaccess = true;
    }
    permissioncheck($hasaccess);
  }

  
  //file [+]
  $file = $_FILES["doc"];
  $file_name = $file["name"];
  $file_type = $file["type"];
  $tmp_name = $file["tmp_name"];
  $file_type = $file["type"];
  $fname = tidyup($file_name);
  //file [-]
  
  
  if (!$id) $error[] = lang("err_nocustsel");
  if (!$docid && !$file_name) $error[] = lang("err_uploadfile");

  //user not allowed to replace files?
  if (!$is_admin && !$docid && !$pm_acl["pf_admin"]) {
    $error[] = lang("err_replace");
  }

  
  if (!$error) {
    $target .= "/$id/";
    if (!is_dir($target)) mkdir($target);
  }

  if (!$error) {
    if (!$descr) $descr = $file_name;
    if (!$docid) {
      //new document
      $sql = "insert into `" . $tb_prefix . "pdocs` (file_name, file_type, descr, created, pid) values ('$fname', '$file_type', '$descr', now(), '$id');";
      dbquery($sql,$db);
      $dokid = mysql_insert_id(); 
      $target .= $dokid;
      if ($dokid) {
        if (!is_dir($target)) mkdir($target);
        move_uploaded_file($tmp_name, $target . "/" . $fname);
      }
      $success = sprintf(lang("succ_uploadfile"),$file_name);
      $stodo = "edit";
    } else {
      //update document
      if ($file_name) {
        //delete current file with directory
        $target .= $docid;
        if (is_dir($target)) xrmdir($target);
        sleep(1);
        if (!is_dir($target)) mkdir($target);
        move_uploaded_file($tmp_name, $target . "/" . $fname);
        chmod($target . "/" . $fname, 0644);
      }
      //update sql
      $sql = "update `" . $tb_prefix . "pdocs` set " . ($file_name ? "file_name = '$fname', file_type = '$file_type'," : "") . " descr = '$descr', edited = now() where id = '$docid';";
      dbquery($sql,$db);
      $success = lang("succ_updatedoc");
    }
    unset($descr,$docid);
  } else {
    $stodo = "edit";
  } 
}
/**********
 * ACTION: add document to project [-]
 **********/ 


/**********
 * ACTION: start working on project [+]
 **********/ 
  if ($action == "start") {
    $id = intval($_REQUEST["id"]);              //projectid
    if (!$id) $error[] = lang("err_noprojectsel");
    //enough permissions?
    if ($pm_auth_userlevel < 2) {
      //NON-Admin: his project and online (and is it's customer online?)
      if ($pm_acl["p_add_all"]) $has_access = true;
      elseif ($pm_acl["p_add_ass"]) {
        $res = dbquery("select * from `" . $tb_prefix . "project_users` where uid = '$pm_auth_uid' and pid = '$id';",$db);
        $has_access = (!mysql_num_rows($res) ? false : true);
      } else $has_access = false;
      if ($has_access) {
        //assigned customer online?
        $res = dbquery("select * from `" . $tb_prefix . "projects` where id = '$id' and status = '1';",$db);
        $row = mysql_fetch_object($res);
        if ($cust_stat[$row->custid]) $has_access = true;
        else $has_access = false;
      }
    } else $has_access = true;
    //permissioncheck($has_access);

    //all user's project_times finished?
    $sql = "select * from `" . $tb_prefix . "project_times` where end is NULL and uid = '$pm_auth_uid';";
    $res = dbquery($sql,$db);
    if (mysql_num_rows($res)) if ($action == "start") $error[] = lang("err_youreworking");

    if (!$error) {
      $sql = "insert into `" . $tb_prefix . "project_times` set start = now(), pid = '$id', uid = '$pm_auth_uid', task_id = '0', short_comment='Quick-Start', created = now(), created_by = '$pm_auth_user';";
      dbquery($sql,$db);
      $success = lang("succ_start");
    }
  }
/**********
 * ACTION: start working on project [-]
 **********/ 

/**********
 * ACTION: stop working on project [+]
 **********/ 
  if ($action == "stop") {
    $id = intval($_REQUEST["id"]);              //projectid
    $times_id = intval($_REQUEST["times_id"]);  //project_times_id
    if (!$id) $error[] = lang("err_noprojectsel");
    if (!$times_id) $error[] = lang("err_notimesel");
    //just update the right unfinished projecttime
    if (!$error) {
      $sql = "update `" . $tb_prefix . "project_times` set end = now(), edited = now(), edited_by = '$pm_auth_user' where id = '$times_id' and pid = '$id' and uid = '$pm_auth_uid' and end is NULL;";
      dbquery($sql,$db);
      if (!mysql_affected_rows()) $alert = lang("alert_noupd");
      else $success = lang("succ_stop");
    }
  }
/**********
 * ACTION: stop working on project [-]
 **********/ 


/**********
 * ACTION: edit single time (close or new) [+]
 **********/ 
  if ($action == "editsingletime") {
    $id = intval($_REQUEST["id"]);              //projectid
    $times_id = intval($_REQUEST["times_id"]);
    $comment = trim($_REQUEST["comment"]);
    $short_comment = trim($_REQUEST["short_comment"]);
    $starth = add0(intval($_REQUEST["starth"]));
    $startmin = add0(intval($_REQUEST["startmin"]));
    $endh = add0(intval($_REQUEST["endh"]));
    $endmin = add0(intval($_REQUEST["endmin"]));
    $milestone = intval($_REQUEST["milestone"]);    
    
    //js-vars or not
    if ($_REQUEST["startdate"]) $start = $_REQUEST["startdate"];
    else $start = $_REQUEST["starty"] . "-" . $_REQUEST["startm"] . "-" . $_REQUEST["startd"];
    list($starty,$startm,$startd) = explode("-", $start);
    $start .= " $starth:$startmin";    
    
    if ($_REQUEST["enddate"]) $end = $_REQUEST["enddate"];
    else $end = $_REQUEST["endy"] . "-" . $_REQUEST["endm"] . "-" . $_REQUEST["endd"];
    list($endy,$endm,$endd) = explode("-", $end);
    $end .= " $endh:$endmin";

    if (!$id) $error[] = lang("err_noprojectsel");
    else {
      //is the project existing, active and the user assigned to?
      if ($pm_auth_userlevel < 2) {
        if ($pm_acl["p_add_all"]) $add2sql = "and status = '1'";
        elseif ($pm_acl["p_add_ass"]) $add2sql = "and (select count(id) from `" . $tb_prefix . "project_users` where pid = '$id' and uid = '$pm_auth_uid') > 0 and status = '1'";
        else $add2sql = "and id = '0'";
      }
      $sql = "select * from `" . $tb_prefix . "projects` where id = '$id' $add2sql;";
      unset($add2sql);
      $res = dbquery($sql,$db);
      if (mysql_num_rows($res)) {
        $prow = mysql_fetch_object($res);
      } else {
        $error[] = lang("err_projectnotfound");
      }
    }
    //customer online
    if ($pm_auth_userlevel < 2 && (!$cust_stat[$prow->custid])) $error[] = "Not enough permissions, customer isn't active."; 
    
    if (!$error) {
      if (!$short_comment) $error[] = lang("err_shortstatement");
      //datechecks
      if (!$start) $error[] = lang("err_startdate");
      elseif (!checkdate($startm,$startd,$starty)) $error[] = lang("err_startdatefailure");
      if (!$end) $error[] = lang("err_enddate");
      elseif (!checkdate($endm,$endd,$endy)) $error[] = lang("err_enddatefailure");
      if ((strtotime($end) - strtotime($start)) < 0) $error[] = lang("err_endbeforestart");
    }
    if (!$error) {
      $add2sql = "start = '$start', end = '$end', short_comment = '" . he($short_comment) . "', comment = '" . he($comment) . "', milestone = '$milestone'";
      if ($times_id) {
        //just update if enddate isn't set
        $sql = "update `" . $tb_prefix . "project_times` set $add2sql, edited = now(), edited_by = '$pm_auth_user' where pid = '$id' and uid = '$pm_auth_uid' and id = '$times_id' and end is NULL;";
        unset($times_id);
      } else {
        $sql = "insert `" . $tb_prefix . "project_times` set $add2sql, pid = '$id', uid = '$pm_auth_uid', created = now(), created_by = '$pm_auth_user';";
      }
      dbquery($sql,$db);
      $success = lang("succ_savetime") . "<br><br>" . $prow->descr_short . "<br>$start - $end";
      if (!mysql_affected_rows()) $alert = lang("alert_noupd");
    } 

    unset($add2sql);
  }
/**********
 * ACTION: edit single time (close or new) [-]
 **********/
 
 ?>