<?php

  /********************************
   * German language File (customers)
   * Mac Winter | mac@homac.net | www.homac.net
   * SPM 1.5, V 1.0 2009-12-04   
   ********************************/       

  $lang = array_merge($lang, array(
    'link_addcust' => 'Kunde hinzufgen',
    'link_mandocs' => 'Kunden-Dokumentenverwaltung',
    'link_back2custs' => 'Zurck zur Kundenbersicht',
    'link_back2docs' => 'Zurck zu den Dokumenten',
    'link_back2custedit' => 'Zurck zur Bearbeitung',
    'link_adddoc' => 'Dokument hinzufgen',
    
    'info_edit' => 'Bestehende Kunden bearbeiten',
    'info_docs' => 'Kunden-Dokumente verwalten (Rechnungen, Angebote, Screenshots, ...)',
    'info_deact' => 'Kunde deaktivieren',
    'info_act' => 'Kunde aktivieren',
    'info_del' => 'Kunde entfernen, es ist nur mglich Kunden zu lschen, denen keine Projekte zugeordnet sind',
    'info_general' => 'Ein Klick auf die Kundenbezeichnung zeigt Details zum Kunden an. Eine Liste der zuegordneten Projekte, Aufgaben und Dokumente ist dort ebenfalls zu finden.<br>Um zu den Projekten zu gelangen knnen Sie auch direkt den Menpunkt Projekte verwenden.',
    'info_editdoc' => 'Beschreibung ndern und/oder Dokument ersetzen',
    'info_deldoc' => 'Dokument entfernen',
    
    'hl_customers' => 'Ihre Kunden',
    'hl_custnotfound' => 'Kunde nicht gefunden, deaktiviert oder fehlende Rechte',
    'hl_projectlist' => 'Projekte',
    'hl_documents' => 'Dokumente',
    'hl_todos' => 'Ihre Aufgaben',
    'hl_docsof' => 'Dokumente von %1$s',             //customers descr
    'hl_editcust' => 'Kunde bearbeiten',
    'hl_createcust' => 'neuen Kunden hinzufgen',
    
    'descr_cust' => 'KdNr / Firma / Ansprechperson',
    'descr_spenttime' => 'Zeitaufwand',
    'descr_tools' => 'Werkzeuge',
    'descr_company' => 'Firma',
    'descr_companyinfo' => 'Bitte fllen Sie Firma und/oder Ansprechperson aus',
    'descr_contactperson' => 'Ansprechperson',
    'descr_custno' => 'Kundennummer',
    'descr_status' => 'Status',
    'descr_address' => 'Adresse',
    'descr_ziploc' => 'PLZ - Ort',
    'descr_country' => 'Land',
    'descr_email' => 'Email',
    'descr_url' => 'URL',
    'descr_tel' => 'Tel',
    'descr_fax' => 'Fax',
    'descr_projecttitle' => 'Projekt',
    'descr_filedescr' => 'Datei-Beschreibung',
    'descr_lastchange' => 'Letzte nderung',
    'descr_descr' => 'Beschreibung',
    'descr_descrinfo' => 'falls das Feld leer gelassen wird, wird der Name der Datei verwendet',
    'descr_file' => 'Datei',
    'descr_fileinfo' => 'nur notwendig, wenn Sie die Datei ersetzen wollen, aktuell:',
    'descr_longdescr' => 'Weitere Informationen',
    
    'mess_custnotfound' => 'Keine Kundeninformationen verfgbar.',
    'mess_projectsnotfound' => 'Es wurden keine Projekte gefunden.',
    'mess_documentsnotfound' => 'Es wurden keine Dokumente gefunden.',
    'mess_todosnotfound' => 'Es wurden keine Aufgaben gefunden.',
    
    'err_nocustsel' => 'Es wurde kein Kunde ausgewhlt.',
    'err_delhint' => 'Es sind noch Projekte dem Kunden zugeordnet. Bitte ordnen Sie diese Projekte jemand anderem zu oder lschen Sie die Projekte bevor Sie diesen Kunden entfernen.',
    'err_nocompers' => 'Bitte geben Sie Firma und/oder Ansprechperson ein.',
    'err_emailfailure' => 'Die angegebene Email-Adresse scheint nicht zu stimmen. Sie knnen das Feld frei lassen oder eine korrekte eMail-Adresse eintragen.',
    'err_uploadfile' => 'Bitte laden Sie eine Datei auf den Server.',
  
    'succ_del' => 'Der Kunde wurde erfolgreich gelscht.',
    'succ_create' => 'Der Kunde wurde erfolgreich erstellt.',
    'succ_update' => 'Der Kunde wurde erfolgreich aktualisiert.',
    'succ_act' => 'Der Kunde wurde erfolgreich aktiviert.',
    'succ_deact' => 'Der Kunde wurde erfolgreich deaktiviert.',
    'succ_uploadfile' => 'Das Dokument %1$s wurde erfolgreich hinzugefgt.',       //the name of the document
    'succ_updatedoc' => 'Das Dokument wurde erfolgreich aktualisiert.',
    'succ_deldoc' => 'Das Dokument wurde erfolgreich entfernt.',
  
    //new since 1.5
    'hl_custchart' => 'Balkendiagramm - Projekt Statistik',
    'hl_custchart_info' => 'berblick ber die zugewiesenen Projekte und die investierte Zeit.',
    
    'link_back2cust' => 'Zurck zum Kunden',
    'link_graph' => 'Zum Balkendiagramm',    
    
    ));
?>