<?php

  /********************************
   * English language File (customers)
   * Mac Winter | mac@homac.net | www.homac.net
   * SPM 1.5, V 1.0 2009-12-06
   ********************************/       

  $lang = array_merge($lang, array(
    'link_addcust' => 'Add new customer',
    'link_mandocs' => 'Manage customer\'s documents',
    'link_back2custs' => 'Back to customers\' overview',
    'link_back2docs' => 'Back to customer\'s documents',
    'link_back2custedit' => 'Back customer\'s edit page',
    'link_adddoc' => 'Add new document',

    'info_edit' => 'Edit existing customers',
    'info_docs' => 'Manage documents (invoices, offers, screenshots, ...) of the customer',
    'info_deact' => 'Click to deactivate customers',
    'info_act' => 'Click to activate customers',
    'info_del' => 'Delete customers, you are only able to delete customers w/o assigned projects',
    'info_general' => 'Just click on the customer\'s description get to the customer\'s projects, you\'re assigned to.<br>Or just go to the projects-section to get to the projects.',
    'info_editdoc' => 'Edit description of document or just replace it',
    'info_deldoc' => 'Delete document',
    
    'hl_customers' => 'Your customers',
    'hl_custnotfound' => 'Customer not found, inactive or insufficient rights to access',
    'hl_projectlist' => 'Project list',
    'hl_documents' => 'Documents',
    'hl_todos' => 'Your todos',
    'hl_docsof' => 'Documents of %1$s',             //customers name, descr, custno
    'hl_editcust' => 'Edit existing customer',
    'hl_createcust' => 'Create a new customer',
    
    'descr_cust' => 'CustNo / Company or Contact person',
    'descr_spenttime' => 'Spent time',
    'descr_tools' => 'Tools',
    'descr_company' => 'Company',
    'descr_companyinfo' => 'please fill in company and/or contact person',
    'descr_contactperson' => 'Contact person',
    'descr_custno' => 'Customer\'s number',
    'descr_status' => 'Status',
    'descr_address' => 'Address',
    'descr_ziploc' => 'ZIP - Location',
    'descr_country' => 'Country',
    'descr_email' => 'Email',
    'descr_url' => 'URL',
    'descr_tel' => 'Tel',
    'descr_fax' => 'Fax',
    'descr_projecttitle' => 'Project title',
    'descr_filedescr' => 'File description',
    'descr_lastchange' => 'Last change',
    'descr_descr' => 'Description',
    'descr_descrinfo' => 'if not filled in, the name of the file will be used',
    'descr_file' => 'File',
    'descr_fileinfo' => 'only necessary if you like to replace, current file:',
    'descr_longdescr' => 'Long description',
    
    'mess_custnotfound' => 'Customerdata not available.',
    'mess_projectsnotfound' => 'No available projects found.',
    'mess_documentsnotfound' => 'No available documents found.',
    'mess_todosnotfound' => 'No todos found.',
    
    'err_nocustsel' => 'There was no customer selected.',
    'err_delhint' => 'There are assigned projects to this customer. Please assign them to another customer before deleting the customer.',
    'err_nocompers' => 'Please type in company and/or contact person\'s name.',
    'err_emailfailure' => 'The email address you entered seems not be be correct. You can leave the field empty or fill in a correct email address.',
    'err_uploadfile' => 'Please upload a file.',
    
    
    'succ_del' => 'The customer was deleted successfully.',
    'succ_create' => 'The customers was created successfully.',
    'succ_update' => 'The customers was updated successfully.',
    'succ_act' => 'The customers was activated successfully.',
    'succ_deact' => 'The customers was deactivated successfully.',
    'succ_uploadfile' => 'The document %1$s was added successfully.',       //the name of the document
    'succ_updatedoc' => 'The document was updated successfully.',
    'succ_deldoc' => 'The document was deleted successfully.',

    //new since 1.5
    'hl_custchart' => 'Bar graph - Project statistics',
    'hl_custchart_info' => 'To survey a graphical overview of assigned projects and spent time.',
    
    'link_back2cust' => 'Back to customer\'s details',
    'link_graph' => 'Customer\'s bar graph', 

    ));
?>