<?php

  /********************************
   * English language File (users)
   * Mac Winter | mac@homac.net | www.homac.net
   * SPM 1.5, V 1.0 2009-12-05
   ********************************/       

  $lang = array_merge($lang, array(
    'link_adduser' => 'Add a new user',
    'link_back2users' => 'Back to users\' overview',
    
    'info_showdetails' => 'View details of users',
    'info_hidedetails' => 'Hide details of users',
    'info_edituser' => 'Edit existing users, project assignments and userlevels can be modified',
    'info_deactuser' => 'Click to deactivate users',
    'info_dbprotectdeact' => 'User is DB-protected from deactivation',
    'info_actuser' => 'Click to activate users',
    'info_deluser' => 'Delete users, you are only able to delete users w/o time-entries',
    'info_dbprotectdel' => 'User is DB-protected from deletion',
    'info_general' => 'A click on a user\'s description shows you more details of the user and shows you project and time-information.',
    'info_custom' => 'Some words to the different user rights<br>
        <b>Administrators</b> are able to do everything. Creating and managing users, projects and customers. Different assignments can only be done by the administrator. They are able to change, re-assign and delete time-entries. They don\'t have to be assigned to a project to add their working-times.<br>
        The <b>custom user rights</b> enables administrators to define what each user should be able to. Some combinations are possible (e.g. adding for assigned projects, but viewing all projects, ...)',
    'info_acl_paddass' => 'The user is only able to add times to assigned projects. The user is able to view online customers (w/o their files) the projects are assigned to.',
    'info_acl_paddall' => 'The user is able to add times to all available projects. The user is able to view all online customers (w/o their files).',
    'info_acl_pviewass' => 'The user is only able to view projects and their times he is assigned to. Viewing and adding is not the same :). The user is able to view online customers (w/o their files) the projects are assigned to.',
    'info_acl_pviewall' => 'The user is only able to view all projects and their times plus all online customers (w/o their files) the projects are assigned to. Viewing and adding is not the same :).',
    'info_acl_tviewown' => 'The user is only able to view his times, none of the other time-entries can be viewed with this option.',
    'info_acl_pviewassc' => 'The user is able to view all projects of the assigned customers (just viewing).',
    'info_acl_pfview' => 'The user is able to view project files from projects the user is able to view.',
    'info_acl_pfadd' => 'The user is able to add project files to projects the user is able to view.',
    'info_acl_pfadm' => 'The user is able to manage project files from projects the user is able to view, this means editing, replacing and deleting.',
    'info_acl_cviewass' => 'The user is able to view assigned customers AND their files.',
    'info_acl_cviewall' => 'The user is able to view all customers AND their files.',
    'info_acl_cinfo' => 'The last two options are usefull if you want to give your customers access to SPM and provide them the possibility to view their projectfiles.',
    
    'hl_users' => 'Your Users',
    'hl_usernotfound' => 'User not found',
    'hl_edituser' => 'Edit existing user',
    'hl_createuser' => 'Create new user',
    
    'descr_username' => 'Username',
    'descr_userlevel' => 'Userlevel',
    'descr_spenttime' => 'Spent time',
    'descr_tools' => 'Tools',
    'descr_created' => 'Created',
    'descr_realname' => 'Real name',
    'descr_email' => 'Email',
    'descr_comment' => 'Comments',
    'descr_userrights' => 'User rights',
    'descr_admin' => 'Administrator',
    'descr_custom' => 'Custom user privileges',
    'descr_status' => 'Status',
    'descr_createdon' => 'User created on',
    'descr_times' => 'Project-time-list',
    'descr_summary' => 'Summary',
    'descr_overallsummary' => 'Overall summary',
    'descr_customoption' => 'custom rights (settings bellow)',
    'descr_customuserrights' => 'Custom user rights',
    'descr_acl_paddass' => 'Add project times <b>only to assigned projects</b>',
    'descr_acl_paddall' => 'Add project times to <b>all projects</b>',
    'descr_acl_pviewass' => 'View only <b>assigned projects</b>',
    'descr_acl_pviewall' => 'View <b>all projects</b>',
    'descr_acl_tviewown' => 'View <b>only own projects-times</b>',
    'descr_acl_pviewassc' => 'View <b>all projects of assigned customers</b>',
    'descr_acl_pfview' => 'View <b>files of accessible projects</b>',
    'descr_acl_pfadd' => 'Add <b>files to accessible projects</b>',
    'descr_acl_pfadm' => 'Add/Edit/Delete <b>files of accessible projects</b>',
    'descr_acl_cviewass' => 'View only <b>assigned online customers</b> with their files',
    'descr_acl_cviewall' => 'View <b>all online customers</b> with their files',
    'descr_password' => 'Password',
    'descr_passwordinfo' => 'only to fill out if you like to change pass or create a new user',
    'descr_passconf' => 'Confirm password',
    'descr_passconfinfo' => 're-type password for security reasons',
    'descr_avproj' => 'Available projects',
    'descr_avprojinfo' => 'activate checkboxes to assign them to user',
    'descr_avcust' => 'Available customers',
    'descr_avcustinfo' => 'activate checkboxes to assign them to user',
    
    'err_usertimes' => 'There are existing working-times from this user. Please assign them to another user or delete them before deleting the user.',
    'err_nouser' => 'There was no user selected.',
    'err_username' => 'Please type in a username.',
    'err_pass' => 'For creating a new user defining a password is required.',
    'err_passconf' => 'Password and it\'s confirmation don\'t match.',
    'err_userexists' => 'The chosen username is already registered.',
    'err_emailfailure' => 'The email address you entered seems to be incorrect. Fill in a correct email address or you leave the field empty.',
    'err_dbprotect' => 'Status and userlevel are not changeable for this user. The user is DB-protected.',
    
    'succ_deluser' => 'The user was deleted successfully.',
    'succ_useract' => 'The user was activated successfully.',
    'succ_userdeact' => 'The user was deactivated successfully.',
    'succ_edituser' => 'The user was updated successfully.',
    'succ_createuser' => 'The user was created successfully.',
    
    'alert_usernotfound' => 'Userdata not available.',
    'alert_noupdate' => 'No updates occured, maybe caused by a reload or an illegal site access.', 
        
    'mess_noprojects' => 'no appropriate projects found',

    //new since 1.5
    'hl_projchart' => 'User/Projects statistics',
    'hl_projchart_info' => 'ordered by spent time descending.',
    'hl_userchartall' => 'All users at a glance',
    'hl_userchartall_info' => 'ordered by invested time descending',
    'hl_yearchart' => 'Year/Month statistics',
    'hl_yearchart_info' => 'Starting/Ending in the months of the first/last time entry.',
    'hl_userprojectchart' => 'Bar graph of all projects from %1$s.',       //username
    'hl_singleuserprojectchart' => 'Bargraph for <i>%1$s</i> from %2$s.',       //projectname, username
    
    'link_back2user' => 'Back to the user',
    'link_back2chart' => 'Back to user\'s project statistics',
    
    'link_graph' => 'User\'s bar graph',  
    'link_graphall' => 'Bar graph overview of all users',      
    
    'mess_projectnotfound' => 'Projectdata not available.', 

  ));
?>