<?php

  /********************************
   * Dutch language File (users)
   * Daniel van der Stelt | gewoondaniel@hotmail.com | www.bitbakery.nl
   * SPM 1.51, V 1.0 2009-12-07   
   ********************************/       

  $lang = array_merge($lang, array(
    'link_adduser' => 'Voeg een gebruiker toe',
    'link_back2users' => 'Terug naar gebruikers overzicht',
    
    'info_showdetails' => 'Bekijk de details van gebruikers',
    'info_hidedetails' => 'Verberg de details van gebruikers',
    'info_edituser' => 'Bewerk bestaande gebruikers, project toewijzingen en gebruiker nivos kunnen worden aangepast',
    'info_deactuser' => 'Klik om gebruikers te deactiveren',
    'info_dbprotectdeact' => 'Gebruiker is beschermd tegen deactivatie',
    'info_actuser' => 'Klik om gebruikers te activeren',
    'info_deluser' => 'Verwijder gebruikers, enkel gebruikers zonder tijds-ingaves kunnen worden verwijderd',
    'info_dbprotectdel' => 'Gebruiker is beschermd tegen verwijdering',
    'info_general' => 'Een klik op de omschrijving van een gebruiker laat je meer details van de gebruiker, het project en de tijdsinformatie zien.',
    'info_custom' => 'Een paar aanwijzingen t.b.v. de verschillende gebruikersrechten<br>
        <b>Beheerders</b> mogen alle bewerkingen uitvoeren. Het aanmaken en beheren van gebruikers, projecten en klanten. Verschillende toewijzingen kunnen enkel gedaan worden door beheerders. Zijn zijn in staat om tijdsingaven te wijzigen, opnieuw toe te wijzen of verwijderen. Beheerders hoeven niet te zijn toegevoegd aan een project om aan hun werktijd toe te voegen.<br>
        De <b>aangepaste gebruikers rechten</b> geven de beheerders de mogelijkheid te definieeren wat iedere gebruiker zou moeten kunnen doen. Er zijn een aantal combinaties mogelijk (vb. toevoegen aan toegewezen projecten, maar het bekijken van alle projecten, ...)',
    'info_acl_paddass' => 'De gebruiker kan tijden toevoegen aan de aan hem toegewezen projecten. De gebruker kan alle online staande klanten bekijken (zonder hun bestanden) welke toegewezen zijn aan die projecten.',
    'info_acl_paddall' => 'De gebruiker kan tijden toevoegen aan alle beschikbare projecten. De gebruiker kan alle online staande klanten bekijken (zonder hun bestanden).',
    'info_acl_pviewass' => 'De gebruiker kan enkel projecten en hun tijden bekijken welke aan hem zijn toegewezen. Bekijken en toevoegen is niet hetzelfde :). De gebruiker kan de online staande klanten bekijken (zonder hun bestanden) welke aan deze projecten zijn toegewezen.',
    'info_acl_pviewall' => 'The user is only able to view all projects and their times plus all online customers (w/o their files) the projects are assigned to. Viewing and adding is not the same :).',
    'info_acl_tviewown' => 'The user is only able to view his times, none of the other time-entries can be viewed with this option.',
    'info_acl_pviewassc' => 'The user is able to view all projects of the assigned customers (just viewing).',
    'info_acl_pfview' => 'The user is able to view project files from projects the user is able to view.',
    'info_acl_pfadd' => 'The user is able to add project files to projects the user is able to view.',
    'info_acl_pfadm' => 'The user is able to manage project files from projects the user is able to view, this means editing, replacing and deleting.',
    'info_acl_cviewass' => 'The user is able to view assigned customers AND their files.',
    'info_acl_cviewall' => 'The user is able to view all customers AND their files.',
    'info_acl_cinfo' => 'The last two options are usefull if you want to give your customers access to SPM and provide them the possibility to view their projectfiles.',
    
    'hl_users' => 'Uw Gebruikers',
    'hl_usernotfound' => 'Gebruiker niet gevonden',
    'hl_edituser' => 'Bewerk bestaande gebruiker',
    'hl_createuser' => 'Creeer nieuwe gebruiker',
    
    'descr_username' => 'Gebruikersnaam',
    'descr_userlevel' => 'Gebruikersnivo',
    'descr_spenttime' => 'Tijd gespendeerd',
    'descr_tools' => 'Tools',
    'descr_created' => 'Aangemaakt',
    'descr_realname' => 'Volledige naam',
    'descr_email' => 'Email',
    'descr_comment' => 'Opmerkingen',
    'descr_userrights' => 'Gebruikers rechten',
    'descr_admin' => 'Beheerder',
    'descr_custom' => 'Aangepaste gebruikersrechten',
    'descr_status' => 'Status',
    'descr_createdon' => 'Gebruiker aangemaakt op',
    'descr_times' => 'Project-tijd-lijst',
    'descr_summary' => 'Samenvatting',
    'descr_overallsummary' => 'Samenvatting overall',
    'descr_customoption' => 'aangepaste rechten (instellingen hieronder)',
    'descr_customuserrights' => 'Aangepaste gebruikers rechten',
    'descr_acl_paddass' => 'Voeg projecttijden toe <b>enkel aan toegewezen projecten</b>',
    'descr_acl_paddall' => 'Voeg projecttijden toe <b>aan alle projecten</b>',
    'descr_acl_pviewass' => 'Bekijk enkel <b>toegewezen projecten</b>',
    'descr_acl_pviewall' => 'Bekijk <b>alle projecten</b>',
    'descr_acl_tviewown' => 'Bekijk <b>alleen eigen project tijden</b>',
    'descr_acl_pviewassc' => 'Bekijk <b>alle projecten van toegewezen klanten</b>',
    'descr_acl_pfview' => 'Bekijk <b>bestanden van toegankelijke projecten</b>',
    'descr_acl_pfadd' => 'Voeg <b>bestanden aan toegankelijke projecten toe</b>',
    'descr_acl_pfadm' => 'Toevoegen/Bewerken/Verwijderen van <b>bestanden op toegangkelijke projecten</b>',
    'descr_acl_cviewass' => 'Bekijk enkel <b>toegewezen online staande klanten</b> en hun bestanden',
    'descr_acl_cviewall' => 'Bekijk <b>alle online staande klanten</b> en hun bestanden',
    'descr_password' => 'Wachtwoord',
    'descr_passwordinfo' => 'vul alleen in als u het wachtwoord wilt veranderen of een nieuwe gebruiker aanmaakt',
    'descr_passconf' => 'Bevestig wachtwoord',
    'descr_passconfinfo' => 'typ nogmaals het wachtwoord ter bevestiging',
    'descr_avproj' => 'Beschikbare projecten',
    'descr_avprojinfo' => 'vink de hokjes aan om deze toe te wijzen aan gebruiker',
    'descr_avcust' => 'Beschikbare klanten',
    'descr_avcustinfo' => 'vink de hokjes aan om deze toe te wijzen aan gebruiker',
    
    'err_usertimes' => 'Er zijn bestaande werktijden van deze gebruiker. Wijs deze alstublieft toe aan een andere gebruiker of verwijder deze voordat u deze gebruiker verwijdert.',
    'err_nouser' => 'Er is geen gebruiker geselecteerd.',
    'err_username' => 'Typ alstublieft een gebruikersnaam.',
    'err_pass' => 'Om een nieuwe gebruiker aan te kunnen maken is een wachtwoord vereist.',
    'err_passconf' => 'Wachwoord en bevestiging komen niet overeen.',
    'err_userexists' => 'De gekozen gebruikersnaam is al in gebruik.',
    'err_emailfailure' => 'Het email adres dat u heeft ingegeven lijkt niet correct. U kunt het veld blanco laten of een geldig email adres invullen.',
    'err_dbprotect' => 'Deze gebruiker is beschermd tegen het veranderen van de status en het gebruikersnivo.',
    
    'succ_deluser' => 'De gebruiker is succesvol verwijderd.',
    'succ_useract' => 'De gebruiker is succesvol geactiveerd.',
    'succ_userdeact' => 'De gebruker is succesvol gedeactiveerd.',
    'succ_edituser' => 'De gebruiker is succesvol gewijzigd.',
    'succ_createuser' => 'De gebruiker is succesvol aangemaakt.',
    
    'alert_usernotfound' => 'Gebruikersdata niet aanwezig.',
    'alert_noupdate' => 'Geen wijzigingen doorgevoerd, misschien veroorzaakt door het opnieuw laden van de pagina, of illegaal toegang verkrijgen op de site.', 
        
    'mess_noprojects' => 'geen in aanmerking komende projecten gevonden',

    //new since 1.5
    'hl_projchart' => 'Gebruikers/Project statistieken',
    'hl_projchart_info' => 'gesorteerd op bestede tijd aflopend.',
    'hl_userchartall' => 'Alle gebruikers in een oogopslag',
    'hl_userchartall_info' => 'gesorteerd op geinvesteerde tijd aflopend',
    'hl_yearchart' => 'Jaar/Maand statistieken',
    'hl_yearchart_info' => 'Beginnend/Eindigend in de maanden van de eerste/laatste tijdsingave.',
    'hl_userprojectchart' => 'Staafgrafiek van alle projecten van %1$s.',       //username
    'hl_singleuserprojectchart' => 'Staafgrafiek voor <i>%1$s</i> van %2$s.',       //projectname, username
    
    'link_back2user' => 'Terug naar de gebruiker',
    'link_back2chart' => 'Terug naar de gebruiker zijn project statistieken',
    
    'link_graph' => 'Gebruiker zijn staafgrafiek',  
    'link_graphall' => 'Staafgrafiek overzicht van alle gebruikers',      
    
    'mess_projectnotfound' => 'Projectdata niet beschikbaar.', 
     
  ));
?>