<?php
include ("includes/header.php");

/*** Language File ***/
$lang_file = "lang/$use_lang/users.lang.php";
if (file_exists($lang_file)) {
  include($lang_file);
} else {
  $output = error(array("Language file $lang_file not found")) . "</div></body></html>";
  exit($output);  
}

permissioncheck($pm_auth_userlevel == 2);    //Admin or not

/*** Actions Set ***/
include ("includes/users_actions.php");


/**********
 * TODO: list users [+]
 **********/  
if (!$todo) {

  echo tabhead(lang("hl_nav"));
  echo "<div class='listitem'><a href='?todo=edit'>" . lang("link_adduser") . "</a></div>";
  echo "<div class='listitem'><a href='?todo=overallgraph'>" . lang("link_graphall") . "</a></div>";
    
  echo "<div class='infoitem' style='background-image: url(images/icons/magnifier_zoom_in.gif);'>" . lang("info_showdetails") . "</div>";
  echo "<div class='infoitem' style='background-image: url(images/icons/magnifier_zoom_out.gif);'>" . lang("info_hidedetails") . "</div>";
  echo "<div class='infoitem' style='background-image: url(images/icons/edit.gif);'>" . lang("info_edituser") . "</div>";
  echo "<div class='infoitem' style='background-image: url(images/icons/stop.gif);'>" . lang("info_deactuser") . "</div>";
  echo "<div class='infoitem' style='background-image: url(images/icons/stop_dis.gif);'>" . lang("info_dbprotectdeact") . "</div>";
  echo "<div class='infoitem' style='background-image: url(images/icons/play.gif);'>" . lang("info_actuser") . "</div>";
  echo "<div class='infoitem' style='background-image: url(images/icons/delete.gif);'>" . lang("info_deluser") . "</div>";
  echo "<div class='infoitem' style='background-image: url(images/icons/delete_dis.gif);'>" . lang("info_dbprotectdel") . "</div>";

  echo "<div class='infoitem'>" . lang("info_general") . "</div>";

  echo tabfoot();


  echo tabhead(lang("hl_users"),2);
  
  if ($error) echo error($error);
  if ($success) echo success($success);
  if ($alert) echo alert($alert);
  
  //projecttimes
  $sql = "SELECT uid, sum(unix_timestamp(end) - unix_timestamp(start)) as diff FROM `" . $tb_prefix . "project_times` where end is not NULL group by uid;";
  $res = dbquery($sql,$db);
  while ($row = mysql_fetch_object($res)) {
    $times[$row->uid] = $row->diff;
  }
  
  $sql = "select * from `" . $tb_prefix . "users` order by user;";
  $res = dbquery($sql,$db);
  $num = mysql_num_rows($res);
  if ($num) {
    echo "<table align='center' class='tabl' cellpadding='5' cellspacing='0'>
      <tr class='tablh'><td>" . lang("descr_username") . "</td><td>" . lang("descr_userlevel") . "</td><td style='width:70px;'>" . lang("descr_spenttime") . "</td><td style='width:120px;'>" . lang("descr_tools") . "</td></tr>";
    $i=0;
    while ($row = mysql_fetch_object($res)) {
      echo "<tr class='tablc" . (++$i%2 ? 1 : 2) . "'>
        <td " . (!$row->status ? "class='error1'" : "") . "><img src='images/icons/userl" . $row->userlevel . "2.gif' alt='' align='top'> <a href='?todo=details&amp;id=" . $row->id . "'>" . $row->user . "</a></td>
        <td>" . $userlevel_descr[$row->userlevel] . "</td>
        <td style='text-align:right;padding-right:5px;'>" . round($times[$row->id]/60/60,2) . " h</td>
        <td><a href='?todo=graph&amp;id=" . $row->id . "'><img src='images/icons/chart_bar.gif' alt='" . lang("bar_graph") . "' title='" . lang("bar_graph") . "' border='0' style='margin:2px;'></a>
          <img src='images/icons/magnifier_zoom_in.gif' alt='details' title='show/hide details' border='0' style='margin:2px;cursor:pointer;' onclick=\"ShowHide01('detu" . $row->id . "',this);\">
          <a href='?todo=edit&amp;id=" . $row->id . "'><img src='images/icons/edit.gif' alt='" . lang("edit") . "' title='" . lang("edit") . "' border='0' style='margin:2px;'></a> ";
      if ($row->deleteable) {
        echo "
          <a href='?action=chgstat&amp;current=" . $row->status ."&amp;id=" . $row->id . "'><img src='images/icons/" . ($row->status ? "stop" : "play") . ".gif' alt='akt/deakt' title='akt/deakt' border='0' style='margin:2px;'></a>
          <a href='confirm.php?action=delete&amp;id=" . $row->id . "'><img src='images/icons/delete.gif' alt='" . lang("delete") . "' title='" . lang("delete") . "' border='0' style='margin:2px;'></a>";
      } else {
        echo "<img src='images/icons/stop_dis.gif' alt='protected' title='protected' border='0' style='margin:2px;'>
          <img src='images/icons/delete_dis.gif' alt='protected' title='protected' border='0' style='margin:2px;'>";
      }
      echo "</td></tr>";
      //details
      echo "<tr class='tablc" . ($i%2 ? 1 : 2) . "' id='detu" . $row->id . "' style='display:none;visibility:hidden;'><td colspan='4' style='line-height: 18px;padding:7px;'>" . lang("descr_created") . ": " . substr($row->created,0,16) . "<br>";
      if ($row->realname) echo "" . lang("descr_realname") . ": " . $row->realname . "<br>";
      if ($row->email) echo "" . lang("descr_email") . ": <a href='mailto:" . $row->email . "'>" . $row->email . "</a><br>";
      if ($row->comment) echo "<br><i class='b'>" . lang("descr_comment") . "</i>: " . nl2br($row->comment);
      echo "</td></tr>";
    }
    echo "</table>";
  } else {
    echo alert(lang("noentries"));
  } 
  echo tabfoot(2);
}
/**********
 * TODO: list users [-]
 **********/  

/**********
 * TODO: users' graph [+]
 **********/  
if ($todo == "overallgraph") {

  echo tabhead(lang("hl_nav"));
  echo "<div class='listitem'><a href='$show.php'>" . lang("link_back2users") . "</a></div>";
  echo tabfoot();


  echo tabhead(lang("hl_userchartall"),3);
  
  if ($error) echo error($error);
  if ($success) echo success($success);
  if ($alert) echo alert($alert);
  
  //projecttimes
  $sql = "SELECT uid, sum(unix_timestamp(end) - unix_timestamp(start)) as diff FROM `" . $tb_prefix . "project_times` where end is not NULL group by uid;";
  $res = dbquery($sql,$db);
  while ($row = mysql_fetch_object($res)) {
    $times[$row->uid] = $row->diff;
  }
  
  $sql = "select * from `" . $tb_prefix . "users` order by user;";
  $res = dbquery($sql,$db);
  $num = mysql_num_rows($res);
  if ($num) {
    while ($row = mysql_fetch_object($res)) {
      $graphUsers[] = "[" . round($times[$row->id]/60/60,2) . ",'<a href=\'$show.php?todo=details&amp;id=" . $row->id . "\' title=\'" . addslashes($row->user) . " (" . round($times[$row->id]/60/60,2) . " h)\'>" . addslashes($row->user) . "<\/a>']";
      $sums[] = $times[$row->id];
    }
    if ($sums) { //order by hours
      arsort($sums);
      $sumkeys = array_keys($sums);
      for ($i=0;$i<count($sumkeys);$i++) {
        $l = $i+1;
        $this_key = $sumkeys[$i];
        
        $tmp_arr[] = $graphUsers[$this_key];
        
        if (!($l%10) || $l == count($sumkeys)) {
          $graph[] = $tmp_arr;
          unset($tmp_arr);
        }
      }
    }
    
    //Graph array filled ?
    if ($graph) {
      for ($i=0;$i<count($graph);$i++) {
        echo "<div id='Graph$i' class='descr'></div><hr>";
        $add2graphJS .= "GraphData$i = new Array(" . implode(",\n",$graph[$i]) . ");\n\n";
        $add2graphJS .= "\$(\"#Graph$i\").jqBarGraph({
        	data: GraphData$i,
        	width: 820,
        	colors: ['" . implode("','",$barcols) . "'],
        	color: '#1A2944',
        	barSpace: 5,
        	legend: true,
        	legendWidth: 200,
        	postfix: ' h',
        	sort: 'desc',
        	title: '<big class=\'b\'>" . he(lang("hl_userchartall")) . "<\/big><br><small>" . he(lang("hl_userchartall_info")) . "<\/small>'
        });\n\n";
      }
    }
  } else {
    echo alert(lang("noentries"));
  } 
  echo tabfoot(3);
  if ($add2graphJS) echo "<script type='text/javascript'>" . $add2graphJS . "</script>";
}
/**********
 * TODO: users' graph [-]
 **********/  

/**********
 * TODO: user's details [+]
 **********/  
if ($todo == "details") {
  $id = intval($_REQUEST["id"]);
  echo tabhead(lang("hl_nav"));
  echo "<div class='listitem'><a href='$show.php?todo=graph&amp;id=$id'>" . lang("link_graph") . "</a></div>";
  echo "<div class='listitem'><a href='$show.php'>" . lang("link_back2users") . "</a></div>";
  echo tabfoot();

  $sql = "select * from `" . $tb_prefix . "users` where id = '$id';";
  $res = dbquery($sql,$db);
  $row = mysql_fetch_object($res);

  echo tabhead(($row->user ? $row->user . " <a href='?todo=edit&amp;id=$id'><img src='images/icons/edit.gif' border='0' alt='" . lang("edit") . "' title='" . lang("edit") . "' align='top'></a>" : lang("hl_usernotfound")),2);
  
  if (!$row->user) echo alert(lang("alert_usernotfound"));
  else {
    echo "<table cellpadding='10' cellspacing='0' class='det'>
      <tr><td class='b' style='width:170px;'>" . lang("descr_username") . "</td>
        <td>" . $row->user . "</td></tr>
      <tr><td class='b'>" . lang("descr_userrights") . "</td>
        <td><img src='images/icons/userl" . $row->userlevel . "2.gif' alt='' align='top'> " . lang($row->userlevel == 2 ? "descr_admin" : "descr_custom") . "</td></tr>
      <tr><td class='b'>" . lang("descr_realname") . "</td>
        <td>" . $row->realname . "&nbsp;</td></tr>
      <tr><td class='b'>" . lang("descr_email") . "</td>
        <td>" . $row->email . "&nbsp;</td></tr>
      <tr><td class='b'>" . lang("descr_status") . "</td>
        <td>" . $status_descr[$row->status] . "</td></tr>
      <tr><td class='b'>" . lang("descr_createdon") . "</td>
        <td>" . substr($row->created,0,16) . "</td></tr>
      <tr><td class='b'>" . lang("descr_comment") . "</td>
        <td>" . nl2br($row->comment) . "&nbsp;</td></tr>
      <tr><td colspan='2'><b>" . lang("descr_times") . "</b><br><br>";
    //projects - new $row
    $sql = "select * from `" . $tb_prefix . "projects` where id in (select pid from `" . $tb_prefix . "project_times` where uid = '$id');";

    $res = dbquery($sql,$db);
    if (mysql_num_rows($res)) {
      echo "<table align='center' class='tabl2' cellpadding='5' cellspacing='0'>
          <tr class='detsm tablh'><td>Short statement</td><td style='width:70px;'>Spent time</td></tr>";
      $i = 0;
      while ($row = mysql_fetch_object($res)) {
        echo "<tr><td colspan='2'><b class='descr'>" . $row->descr . "</b></td></tr>";
        //times
        $sqlt = "select *, (unix_timestamp(end) - unix_timestamp(start)) as diff from `" . $tb_prefix . "project_times` where end is not NULL and pid = '" . $row->id . "' and uid = '$id' order by end desc;";
        $rest = dbquery($sqlt,$db);
        $sum = 0;
        while ($rowt = mysql_fetch_object($rest)) {
          echo "<tr class='tablc" . (++$i%2 ? 1 : 2) . " detsm'>
            <td>" . $rowt->short_comment . "</td>
            <td>" . round($rowt->diff/60/60,2) . " h</td></tr>";
          $sum += $rowt->diff;
          $total += $rowt->diff;
        }
        echo "<tr class='detsm tablh'><td>" . lang("descr_summary") . "</td><td style='width:70px;'>" . round($sum/60/60,2) . " h</td></tr>";
      }
      echo "<tr class='detsm tablh b'><td>" . lang("descr_overallsummary") . "</td><td style='width:70px;'>" . round($total/60/60,2) . " h</td></tr>";
      echo "</table>";
    } else {
      echo alert(lang("mess_noprojects"));
    }
    echo "</td></tr>  
      </table>";
  }
  echo tabfoot(2);
}
/**********
 * TODO: user's details [-]
 **********/


/**********
 * TODO: user's graph [+]
 **********/  
if ($todo == "graph") {
  $id = intval($_REQUEST["id"]);
  echo tabhead(lang("hl_nav"));
  echo "<div class='listitem'><a href='$show.php?todo=details&amp;id=$id'>" . lang("link_back2user") . "</a></div>";
  echo "<div class='listitem'><a href='$show.php'>" . lang("link_back2users") . "</a></div>";
  echo tabfoot();

  $sql = "select * from `" . $tb_prefix . "users` where id = '$id';";
  $res = dbquery($sql,$db);
  $row = mysql_fetch_object($res);

  echo tabhead(($row->user ? sprintf(lang("hl_userprojectchart"),$row->user) : lang("hl_usernotfound")),3);
  
  if (!$row->user) echo alert(lang("alert_usernotfound"));
  else {
    //projects - new $row
    $sql = "select * from `" . $tb_prefix . "projects` where id in (select pid from `" . $tb_prefix . "project_times` where uid = '$id');";
    $res = dbquery($sql,$db);
    if (mysql_num_rows($res)) {
      while ($row = mysql_fetch_object($res)) {
        //times
        $sqlt = "select *, (unix_timestamp(end) - unix_timestamp(start)) as diff from `" . $tb_prefix . "project_times` where end is not NULL and pid = '" . $row->id . "' and uid = '$id' order by end desc;";
        $rest = dbquery($sqlt,$db);
        $sum = 0;
        while ($rowt = mysql_fetch_object($rest)) {
          $sum += $rowt->diff;
        }
        $graphProjects[] = "[" . round($sum/60/60,2) . ",'<a href=\'$show.php?todo=pidgraph&amp;id=$id&amp;pid=" . $row->id . "\' title=\'" . addslashes($row->descr) . " (" . round($sum/60/60,2) . " h)\'>" . addslashes(short($row->descr,50)) . "<\/a>']";
        $sums[] = $sum;
      }

      if ($sums) { //order by hours
        arsort($sums);
        $sumkeys = array_keys($sums);
        for ($i=0;$i<count($sumkeys);$i++) {
          $l = $i+1;
          $this_key = $sumkeys[$i];
          
          $tmp_arr[] = $graphProjects[$this_key];
          
          if (!($l%10) || $l == count($sumkeys)) {
            $graph[] = $tmp_arr;
            unset($tmp_arr);
          }
        }
      }
      
      //Graph array filled ?
      if ($graph) {
        for ($i=0;$i<count($graph);$i++) {
          echo "<div id='Graph$i' class='descr'></div><hr>";
          $add2graphJS .= "GraphData$i = new Array(" . implode(",\n",$graph[$i]) . ");\n\n";
          $add2graphJS .= "\$(\"#Graph$i\").jqBarGraph({
          	data: GraphData$i,
          	width: 820,
          	colors: ['" . implode("','",$barcols) . "'],
          	color: '#1A2944',
          	barSpace: 5,
          	legend: true,
          	legendWidth: 200,
          	postfix: ' h',
          	sort: 'desc',
          	title: '<big class=\'b\'>" . he(lang("hl_projchart")) . "<\/big><br><small>" . he(lang("hl_projchart_info")) . "<\/small>'
          });\n\n";
        }
      }
    } else {
      echo alert(lang("mess_noprojects"));
    }
  }
  echo tabfoot(3);
  if ($add2graphJS) echo "<script type='text/javascript'>" . $add2graphJS . "</script>";
}
/**********
 * TODO: user's graph [-]
 **********/  


/**********
 * TODO: special user's project graph [+]
 **********/  
if ($todo == "pidgraph") {
  $id = intval($_REQUEST["id"]);
  $pid = intval($_REQUEST["pid"]);
  
  echo tabhead(lang("hl_nav"));
  echo "<div class='listitem'><a href='$show.php?todo=graph&amp;id=$id'>" . lang("link_back2chart") . "</a></div>";
  echo "<div class='listitem'><a href='$show.php?todo=details&amp;id=$id'>" . lang("link_back2user") . "</a></div>";
  echo "<div class='listitem'><a href='$show.php'>" . lang("link_back2users") . "</a></div>";
  echo tabfoot();

  //check project
  $sql = "select * from `" . $tb_prefix . "projects` where id = '$pid';";
  $res = dbquery($sql,$db);
  $project = mysql_fetch_object($res);

  $sql = "select * from `" . $tb_prefix . "users` where id = '$id';";
  $res = dbquery($sql,$db);
  $row = mysql_fetch_object($res);

  echo tabhead(($row->user ? sprintf(lang("hl_singleuserprojectchart"),$project->descr,$row->user) : lang("hl_usernotfound")),3);
  
  if (!$row->user) echo alert(lang("alert_usernotfound"));
  elseif (!$project->id) echo alert(lang("mess_projectnotfound"));
  else {
    $sql = "select *, (unix_timestamp(end) - unix_timestamp(start)) as diff from `" . $tb_prefix . "project_times` where end is not NULL and pid = '$pid' and uid = '$id' order by end;";
    $res = dbquery($sql,$db);
    if (mysql_num_rows($res)) {
      while ($row = mysql_fetch_object($res)) {
        $pmonth[date("Y-m",strtotime($row->end))] += $row->diff;
        $pdmonth[date("Y-m-d",strtotime($row->end))] += $row->diff;
        if ($row->milestone) $milestones[date("Y-m-d",strtotime($row->end))] = true;
        if (!$proj_last || (strtotime($row->end) > strtotime($proj_last))) $proj_last = date("Y-m",strtotime($row->end));
        if (!$proj_first || (strtotime($row->start) < strtotime($proj_first))) $proj_first = date("Y-m",strtotime($row->start));
      }
      if ($pmonth) {
        //by year
        $graph = array(); //main Graph Array will contain some arrays
        //check beginning and endyear
        list($f_year,$f_month) = explode("-",$proj_first);
        list($l_year,$l_month) = explode("-",$proj_last);
        //through the years, or just one year?
        $c=0;
        for ($y=$f_year;$y<=$l_year;$y++) {
          if (!$firstmonth) $firstmonth = intval($f_month);
          if ($l_year == $l_month) $lastmonth = intval($l_month);
          elseif ($y != $l_year) $lastmonth = 12;
          else $lastmonth = intval($l_month);
        
          if ($firstmonth && $y != $lastyear && $lastyear) $firstmonth = 1;
        
          //through the years, or just one year?
          for ($i=$firstmonth;$i<=$lastmonth;$i++) {        
            $c++;
            //break after change of year 
            $graphMonths[] = "[" . round($pmonth["$y-" . add0($i)]/60/60,2) . ",'" . ($pmonth["$y-" . add0($i)] ? "<a href=\'#BG$y" . add0($i) . "\'>" . date("M y",strtotime("$y-" . add0($i) . "-01")) . "<\/a>" : date("M y",strtotime("$y-" . add0($i) . "-01"))) . "']";
            if ($pmonth["$y-" . add0($i)]) {
              //the days
              for ($l=1;$l<=lday($i,$y);$l++) {
                $graphDays["$y-" . add0($i)][] = "[" . round($pdmonth["$y-" . add0($i) . "-" . add0($l)]/60/60,2) . ",'" . add0($l) . "'" . ($milestones["$y-" . add0($i) . "-" . add0($l)] ? ",'$barcol_milestone'" : "") . "]";
              }
              $dmonths[] = "$y-" . add0($i);
            }
          }
          //yearchange
          //if ($lastyear != $y || $y == $l_year) {
          //12er change
          if (!($c%12) || ($y == $l_year)) {
            $graph[] = $graphMonths;
            unset($graphMonths);
          }
          $lastyear = $y;
        }
        
        //Graph array filled ?
        if ($graph) {
          for ($i=0;$i<count($graph);$i++) {
            echo "<div id='Graph$i'></div><hr>";
            $add2graphJS .= "GraphData$i = new Array(" . implode(",\n",$graph[$i]) . ");\n\n";
            $add2graphJS .= "\$(\"#Graph$i\").jqBarGraph({
            	data: GraphData$i,
            	width: 820,
            	colors: ['" . implode("','",$barcols) . "'],
            	color: '#1A2944',
            	barSpace: 5,
            	legend: false,
            	legendWidth: 200,
            	postfix: ' h',
            	title: '<big class=\'b\'>" . he(lang("hl_yearchart")) . "</big><br><small>" . he(lang("hl_yearchart_info")) . "<\/small>'
            });\n\n";
          }
        }
        
        //Graph2 array filled ?
        if ($dmonths) {
          for ($i=0;$i<count($dmonths);$i++) {
            echo "<div id='GraphD$i' class='descr'></div><hr>";
            $add2graphJS .= "GraphDataD$i = new Array(" . implode(",\n",$graphDays[$dmonths[$i]]) . ");\n\n";
            $add2graphJS .= "\$(\"#GraphD$i\").jqBarGraph({
            	data: GraphDataD$i,
            	width: 820,
            	colors: ['" . implode("','",$barcols) . "'],
            	color: '#1A2944',
            	barSpace: 5,
            	legend: false,
            	legendWidth: 200,
            	postfix: '',
            	title: '<big class=\'b\' id=\'BG" . str_replace("-","",$dmonths[$i]) . "\'>" . date("M Y",strtotime($dmonths[$i]."-01")) . "<\/big><br><small><a href=\'#spm\'>TOP</a><\/small>'
            });\n\n";
          }
        }
        
      }
    } else {
      echo alert(lang("mess_noprojects"));
    }
  }
  echo tabfoot(3);
  if ($add2graphJS) echo "<script type='text/javascript'>" . $add2graphJS . "</script>";
}
/**********
 * TODO: special user's project graph [-]
 **********/  

/**********
 * TODO: edit user [+]
 **********/  
if ($todo == "edit") {
  $id = intval($_REQUEST["id"]);
  
  //userlevel-options
  $userlevel_options = "<option value='0'>" . lang("descr_customoption") . "</option>
    <option value='2'>" . lang("descr_admin") . "</option>";
  
  if ($id && !$action) {
    $sql = "select * from `" . $tb_prefix . "users` where id = '$id';";
    $res = dbquery($sql,$db);
    $row = mysql_fetch_object($res);
    $user = $row->user;
    $userlevel = $row->userlevel;
    $realname = $row->realname;
    $email = $row->email;
    $comment = $row->comment;
    $status = $row->status;
    $acl_p_add_ass = $row->acl_p_add_ass;
    $acl_p_add_all = $row->acl_p_add_all;
    $acl_p_view_ass = $row->acl_p_view_ass;
    $acl_p_view_all = $row->acl_p_view_all;
    $acl_p_view_ass_c = $row->acl_p_view_ass_c;
    $acl_c_view_ass = $row->acl_c_view_ass;
    $acl_c_view_all = $row->acl_c_view_all;
    $acl_t_view_own = $row->acl_t_view_own;
    $acl_pf_view = $row->acl_pf_view;
    $acl_pf_add = $row->acl_pf_add;
    $acl_pf_admin = $row->acl_pf_admin;
  }
  $status_checked[intval($status)] = "checked";
  $userlevel_options = str_replace("value='$userlevel'", "value='$userlevel' selected", $userlevel_options);
  $userrights_checked[1] = "checked";
  
  echo tabhead(lang("hl_nav"));
  echo "<div class='listitem'><a href='$show.php'>" . lang("link_back2users") . "</a></div>";
  echo "<div class='infoitem'>" . lang("info_custom") . "<br>
    <b>&raquo; " . strip_tags(lang("descr_acl_paddass")) . "</b> - " . lang("info_acl_paddass") . "<br>
    <b>&raquo; " . strip_tags(lang("descr_acl_paddall")) . "</b> - " . lang("info_acl_paddall") . "<br>
    <b>&raquo; " . strip_tags(lang("descr_acl_pviewass")) . "</b> - " . lang("info_acl_pviewass") . "<br>
    <b>&raquo; " . strip_tags(lang("descr_acl_pviewall")) . "</b> - " . lang("info_acl_pviewall") . "<br>
    <b>&raquo; " . strip_tags(lang("descr_acl_tviewown")) . "</b> - " . lang("info_acl_tviewown") . "<br>
    <b>&raquo; " . strip_tags(lang("descr_acl_pviewassc")) . "</b> - " . lang("info_acl_pviewassc") . "<br>
    <b>&raquo; " . strip_tags(lang("descr_acl_pfview")) . "</b> - " . lang("info_acl_pfview") . "<br>
    <b>&raquo; " . strip_tags(lang("descr_acl_pfadd")) . "</b> - " . lang("info_acl_pfadd") . "<br>
    <b>&raquo; " . strip_tags(lang("descr_acl_pfadm")) . "</b> - " . lang("info_acl_pfadm") . "<br>
    <b>&raquo; " . strip_tags(lang("descr_acl_cviewass")) . "</b> - " . lang("info_acl_cviewass") . "<br>
    <b>&raquo; " . strip_tags(lang("descr_acl_cviewall")) . "</b> - " . lang("info_acl_cviewall") . "<br>
    " . lang("info_acl_cinfo") . "</div>";
  echo tabfoot();
  
  echo tabhead(lang($id ? "hl_edituser" : "hl_createuser"),2);
  
  
  if ($error) echo error($error);
  if ($success) echo success($success);
  
  
  echo "<form method='post' action='$show.php'>
    <input type='hidden' name='action' value='edit'>
    <input type='hidden' name='id' value='$id'>
    " . lang("descr_username") . "<br>
    <input type='text' name='user' value='$user' class='fw1' maxlength='20'><br>
    " . lang("descr_userlevel") . "<br>
    <select name='userlevel' class='fw1' onchange=\"document.getElementById('userrights').style.visibility = (this.value == '2' ? 'hidden' : 'visible');document.getElementById('userrights').style.display = (this.value == '2' ? 'none' : 'block');\">$userlevel_options</select><br>
    <div id='userrights'>" . lang("descr_customuserrights") . "
    <div class='fw1'>
      <input type='checkbox' class='radio' name='acl_p_add_ass' id='acl_p_add_ass' value='1' onclick=\"if (this.checked) { document.getElementById('acl_p_add_all').checked = false; document.getElementById('acl_p_view_ass').checked = true; }\" " . $userrights_checked[$acl_p_add_ass] . "> <label for='acl_p_add_ass'>" . lang("descr_acl_paddass") . "</label><br>
      <input type='checkbox' class='radio' name='acl_p_add_all' id='acl_p_add_all' value='1' onclick=\"if (this.checked) { document.getElementById('acl_p_view_all').checked = true; document.getElementById('acl_p_view_ass').checked = false; document.getElementById('acl_p_add_ass').checked = false; document.getElementById('acl_p_view_ass_c').checked = false;}\" " . $userrights_checked[$acl_p_add_all] . "> <label for='acl_p_add_all'>" . lang("descr_acl_paddall") . "</label><br>
      <input type='checkbox' class='radio' name='acl_p_view_ass' id='acl_p_view_ass' value='1' onclick=\"if (this.checked) { document.getElementById('acl_p_view_all').checked = false;document.getElementById('acl_p_add_all').checked = false; }\" " . $userrights_checked[$acl_p_view_ass] . "> <label for='acl_p_view_ass'>" . lang("descr_acl_pviewass") . "</label><br>
      
      <input type='checkbox' class='radio' name='acl_p_view_all' id='acl_p_view_all' value='1' onclick=\"if (this.checked) { document.getElementById('acl_p_view_ass').checked = false; document.getElementById('acl_p_view_ass_c').checked = false; }\" " . $userrights_checked[$acl_p_view_all] . "> <label for='acl_p_view_all'>" . lang("descr_acl_pviewall") . "</label><br>
      
      <input type='checkbox' class='radio' name='acl_t_view_own' id='acl_t_view_own' value='1' " . $userrights_checked[$acl_t_view_own] . "> <label for='acl_t_view_own'>" . lang("descr_acl_tviewown") . "</label><br>
      
      <input type='checkbox' class='radio' name='acl_p_view_ass_c' id='acl_p_view_ass_c' value='1' " . $userrights_checked[$acl_p_view_ass_c] . "> <label for='acl_p_view_ass_c'>" . lang("descr_acl_pviewassc") . "</label><br>
      
      <input type='checkbox' class='radio' name='acl_pf_view' id='acl_pf_view' value='1' onclick=\"if (!this.checked) { document.getElementById('acl_pf_admin').checked = false; document.getElementById('acl_pf_add').checked = false;}\" " . $userrights_checked[$acl_pf_view] . "> <label for='acl_pf_view'>" . lang("descr_acl_pfview") . "</label><br>
      <input type='checkbox' class='radio' name='acl_pf_add' id='acl_pf_add' value='1' onclick=\"if (this.checked) { document.getElementById('acl_pf_admin').checked = false; document.getElementById('acl_pf_view').checked = true;}\" " . $userrights_checked[$acl_pf_add] . "> <label for='acl_pf_add'>" . lang("descr_acl_pfadd") . "</label><br>
      <input type='checkbox' class='radio' name='acl_pf_admin' id='acl_pf_admin' value='1' onclick=\"if (this.checked) { document.getElementById('acl_pf_add').checked = false; document.getElementById('acl_pf_view').checked = true;}\" " . $userrights_checked[$acl_pf_admin] . "> <label for='acl_pf_admin'>" . lang("descr_acl_pfadm") . "</label><br>      
      
      <input type='checkbox' class='radio' name='acl_c_view_ass' id='acl_c_view_ass' value='1' onclick=\"if (this.checked) { document.getElementById('acl_c_view_all').checked = false; }\" " . $userrights_checked[$acl_c_view_ass] . "> <label for='acl_c_view_ass'>" . lang("descr_acl_cviewass") . "</label><br>
      <input type='checkbox' class='radio' name='acl_c_view_all' id='acl_c_view_all' value='1' onclick=\"if (this.checked) { document.getElementById('acl_c_view_ass').checked = false; }\" " . $userrights_checked[$acl_c_view_all] . "> <label for='acl_c_view_all'>" . lang("descr_acl_cviewall") . "</label></div>
    </div>
    
    " . lang("descr_realname") . " <i class='descr'>" . lang("optional") . "</i><br>
    <input type='text' name='realname' value='$realname' class='fw1' maxlength='50'><br>
    " . lang("descr_email") . " <i class='descr'>optional</i><br>
    <input type='text' name='email' value='$email' class='fw1' maxlength='100'><br>
    " . lang("descr_password") . " <i class='descr'>" . lang("descr_passwordinfo") . "</i><br>
    <input type='password' name='pass' value='' class='fw2'><br>
    " . lang("descr_passconf") . " <i class='descr'>" . lang("descr_passconfinfo") . "</i><br>
    <input type='password' name='passconf' value='' class='fw2'><br>
    " . lang("descr_comment") . " <i class='descr'>optional</i><br>
    <textarea name='comment' cols='40' rows='20' class='ta1'>$comment</textarea><br>
    " . lang("descr_status") . "<br>
    <input type='radio' name='status' value='1' class='radio' id='online' " . $status_checked[1] . "> <label for='online'>" . lang("online") . "</label><br>
    <input type='radio' name='status' value='0' class='radio' id='offline' " . $status_checked[0] . "> <label for='offline'>" . lang("offline") . "</label>";
  
  
  //disable divs if js enabled browsers found and uerrights are custom (non-admin)
  if ($userlevel == 2) {
    echo "<script type='text/javascript'>
      document.getElementById('userrights').style.visibility = 'hidden';
      document.getElementById('userrights').style.display = 'none';
      </script>";
  }
  
  //assigned projects
  if (!$action) {
    $sql = "select * from `" . $tb_prefix . "project_users` where uid = '$id';";
    $res = dbquery($sql,$db);
    while ($row = mysql_fetch_object($res)) {
      $pids[] = $row->pid;
    }
  }
  if (!$pids) $pids = array();
  
  //assigned customers
  if (!$action) {
    $sql = "select * from `" . $tb_prefix . "customer_users` where uid = '$id';";
    $res = dbquery($sql,$db);
    while ($row = mysql_fetch_object($res)) {
      $custids[] = $row->custid;
    }
  }
  if (!$custids) $custids = array();
  
  //all projects
  $sql = "select * from `" . $tb_prefix . "projects` order by descr;";
  $res = dbquery($sql,$db);
  if (mysql_num_rows($res)) {
    echo "<br><br>" . lang("descr_avproj") . " <i class='descr'>" . lang("descr_avprojinfo") . "</i><br>
      <div style='width:100%;'>";
    while ($row = mysql_fetch_object($res)) {
      echo "<div style='width:50%;float:left;'><input type='checkbox' name='pids[]' class='radio' value='" . $row->id . "' id='p" . $row->id . "' " . (in_array($row->id,$pids) ? "checked" : "") . "> <label for='p" . $row->id . "' " . (!$row->status ? "class='error1'" : "") . ">" . cutstr($row->descr,30) . "</label></div>";
    }
    echo "</div>";
  }
  
  //all customers
  $sql = "select * from `" . $tb_prefix . "customers` order by descr;";
  $res = dbquery($sql,$db);
  if (mysql_num_rows($res)) {
    echo "<div style='clear:both;'>&nbsp;<br>" . lang("descr_avcust") . " <i class='descr'>" . lang("descr_avcustinfo") . "</i><br>";
    while ($row = mysql_fetch_object($res)) {
      echo "<div style='width:50%;float:left;'><input type='checkbox' name='custids[]' class='radio' value='" . $row->id . "' id='c" . $row->id . "' " . (in_array($row->id,$custids) ? "checked" : "") . "> <label for='c" . $row->id . "' " . (!$row->status ? "class='error1'" : "") . ">" . cutstr(trim($row->custno . " " . ($row->descr ? $row->descr : $row->contact_person)),30) . "</label></div>";
    }
    echo "</div>";
  }
    
    
    
  echo "<br><br><div style='clear:both;'><br><input type='submit' value='" . lang("save_changes") . "' class='button'></div>
    </form>";
  echo tabfoot(2);
}
/**********
 * TODO: edit user [-]
 **********/  

include ("includes/footer.php");
?>